# CONTAINS com.ibm.etools.commonarchive.looseconfig

#####################################################################
#
# Sed command for replacing references to MOF2 APIs
# invoke using
#    sed -f commonArchive.sed <src-file> > <target-file>
#
#####################################################################

# Rules for converting APIs from the LooseconfigPackage package
s|metaLooseWARFile()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,LooseconfigPackage.LOOSE_WAR_FILE,LooseconfigPackage.packageURI)|g
s|metaLooseModule()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,LooseconfigPackage.LOOSE_MODULE,LooseconfigPackage.packageURI)|g
s|metaLooseLibrary()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,LooseconfigPackage.LOOSE_LIBRARY,LooseconfigPackage.packageURI)|g
s|metaLooseConfiguration()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,LooseconfigPackage.LOOSE_CONFIGURATION,LooseconfigPackage.packageURI)|g
s|metaLooseArchive()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,LooseconfigPackage.LOOSE_ARCHIVE,LooseconfigPackage.packageURI)|g
s|metaLooseApplication()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,LooseconfigPackage.LOOSE_APPLICATION,LooseconfigPackage.packageURI)|g
s|LooseconfigPackage\.CLASS_LOOSEWARFILE|LooseconfigPackage.LOOSE_WAR_FILE|g
s|LooseconfigPackage\.CLASS_LOOSEMODULE|LooseconfigPackage.LOOSE_MODULE|g
s|LooseconfigPackage\.CLASS_LOOSELIBRARY|LooseconfigPackage.LOOSE_LIBRARY|g
s|LooseconfigPackage\.CLASS_LOOSECONFIGURATION|LooseconfigPackage.LOOSE_CONFIGURATION|g
s|LooseconfigPackage\.CLASS_LOOSEARCHIVE|LooseconfigPackage.LOOSE_ARCHIVE|g
s|LooseconfigPackage\.CLASS_LOOSEAPPLICATION|LooseconfigPackage.LOOSE_APPLICATION|g
s|LooseconfigFactory\.CLASS_LOOSEWARFILE|LooseconfigPackage.LOOSE_WAR_FILE|g
s|LooseconfigFactory\.CLASS_LOOSEMODULE|LooseconfigPackage.LOOSE_MODULE|g
s|LooseconfigFactory\.CLASS_LOOSELIBRARY|LooseconfigPackage.LOOSE_LIBRARY|g
s|LooseconfigFactory\.CLASS_LOOSECONFIGURATION|LooseconfigPackage.LOOSE_CONFIGURATION|g
s|LooseconfigFactory\.CLASS_LOOSEARCHIVE|LooseconfigPackage.LOOSE_ARCHIVE|g
s|LooseconfigFactory\.CLASS_LOOSEAPPLICATION|LooseconfigPackage.LOOSE_APPLICATION|g
s|\.meta\.MetaLooseWARFile\.|.MetaLooseWARFile.|g
s|\.meta\.MetaLooseModule\.|.MetaLooseModule.|g
s|\.meta\.MetaLooseLibrary\.|.MetaLooseLibrary.|g
s|\.meta\.MetaLooseConfiguration\.|.MetaLooseConfiguration.|g
s|\.meta\.MetaLooseArchive\.|.MetaLooseArchive.|g
s|\.meta\.MetaLooseApplication\.|.MetaLooseApplication.|g
s|metaLooseWARFile()\.metaUri()|ePackageLooseconfig().getLooseArchive_Uri()|g
s|metaLooseWARFile()\.metaResourcesPath()|ePackageLooseconfig().getLooseArchive_ResourcesPath()|g
s|metaLooseWARFile()\.metaLooseLibs()|ePackageLooseconfig().getLooseWARFile_LooseLibs()|g
s|metaLooseWARFile()\.metaLooseApp()|ePackageLooseconfig().getLooseArchive_LooseApp()|g
s|metaLooseWARFile()\.metaBinariesPath()|ePackageLooseconfig().getLooseArchive_BinariesPath()|g
s|metaLooseWARFile()\.metaAltDD()|ePackageLooseconfig().getLooseModule_AltDD()|g
s|metaLooseModule()\.metaUri()|ePackageLooseconfig().getLooseArchive_Uri()|g
s|metaLooseModule()\.metaResourcesPath()|ePackageLooseconfig().getLooseArchive_ResourcesPath()|g
s|metaLooseModule()\.metaLooseApp()|ePackageLooseconfig().getLooseArchive_LooseApp()|g
s|metaLooseModule()\.metaBinariesPath()|ePackageLooseconfig().getLooseArchive_BinariesPath()|g
s|metaLooseModule()\.metaAltDD()|ePackageLooseconfig().getLooseModule_AltDD()|g
s|metaLooseLibrary()\.metaUri()|ePackageLooseconfig().getLooseArchive_Uri()|g
s|metaLooseLibrary()\.metaResourcesPath()|ePackageLooseconfig().getLooseArchive_ResourcesPath()|g
s|metaLooseLibrary()\.metaLooseWAR()|ePackageLooseconfig().getLooseLibrary_LooseWAR()|g
s|metaLooseLibrary()\.metaLooseApp()|ePackageLooseconfig().getLooseArchive_LooseApp()|g
s|metaLooseLibrary()\.metaBinariesPath()|ePackageLooseconfig().getLooseArchive_BinariesPath()|g
s|metaLooseConfiguration()\.metaApplications()|ePackageLooseconfig().getLooseConfiguration_Applications()|g
s|metaLooseArchive()\.metaUri()|ePackageLooseconfig().getLooseArchive_Uri()|g
s|metaLooseArchive()\.metaResourcesPath()|ePackageLooseconfig().getLooseArchive_ResourcesPath()|g
s|metaLooseArchive()\.metaLooseApp()|ePackageLooseconfig().getLooseArchive_LooseApp()|g
s|metaLooseArchive()\.metaBinariesPath()|ePackageLooseconfig().getLooseArchive_BinariesPath()|g
s|metaLooseApplication()\.metaUri()|ePackageLooseconfig().getLooseArchive_Uri()|g
s|metaLooseApplication()\.metaResourcesPath()|ePackageLooseconfig().getLooseArchive_ResourcesPath()|g
s|metaLooseApplication()\.metaLooseArchives()|ePackageLooseconfig().getLooseApplication_LooseArchives()|g
s|metaLooseApplication()\.metaLooseApp()|ePackageLooseconfig().getLooseArchive_LooseApp()|g
s|metaLooseApplication()\.metaBinariesPath()|ePackageLooseconfig().getLooseArchive_BinariesPath()|g
s|com\.ibm\.etools\.commonarchive\.looseconfig\.meta\.MetaLooseWARFile|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.looseconfig\.meta\.MetaLooseModule|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.looseconfig\.meta\.MetaLooseLibrary|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.looseconfig\.meta\.MetaLooseConfiguration|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.looseconfig\.meta\.MetaLooseArchive|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.looseconfig\.meta\.MetaLooseApplication|com.ibm.etools.emf.ecore.EClass|g
s|MetaLooseWARFile\.SF_URI|LooseconfigPackage.LOOSE_WAR_FILE__URI|g
s|MetaLooseWARFile\.SF_RESOURCESPATH|LooseconfigPackage.LOOSE_WAR_FILE__RESOURCES_PATH|g
s|MetaLooseWARFile\.SF_LOOSELIBS|LooseconfigPackage.LOOSE_WAR_FILE__LOOSE_LIBS|g
s|MetaLooseWARFile\.SF_LOOSEAPP|LooseconfigPackage.LOOSE_WAR_FILE__LOOSE_APP|g
s|MetaLooseWARFile\.SF_BINARIESPATH|LooseconfigPackage.LOOSE_WAR_FILE__BINARIES_PATH|g
s|MetaLooseWARFile\.SF_ALTDD|LooseconfigPackage.LOOSE_WAR_FILE__ALT_DD|g
s|MetaLooseModule\.SF_URI|LooseconfigPackage.LOOSE_MODULE__URI|g
s|MetaLooseModule\.SF_RESOURCESPATH|LooseconfigPackage.LOOSE_MODULE__RESOURCES_PATH|g
s|MetaLooseModule\.SF_LOOSEAPP|LooseconfigPackage.LOOSE_MODULE__LOOSE_APP|g
s|MetaLooseModule\.SF_BINARIESPATH|LooseconfigPackage.LOOSE_MODULE__BINARIES_PATH|g
s|MetaLooseModule\.SF_ALTDD|LooseconfigPackage.LOOSE_MODULE__ALT_DD|g
s|MetaLooseLibrary\.SF_URI|LooseconfigPackage.LOOSE_LIBRARY__URI|g
s|MetaLooseLibrary\.SF_RESOURCESPATH|LooseconfigPackage.LOOSE_LIBRARY__RESOURCES_PATH|g
s|MetaLooseLibrary\.SF_LOOSEWAR|LooseconfigPackage.LOOSE_LIBRARY__LOOSE_WAR|g
s|MetaLooseLibrary\.SF_LOOSEAPP|LooseconfigPackage.LOOSE_LIBRARY__LOOSE_APP|g
s|MetaLooseLibrary\.SF_BINARIESPATH|LooseconfigPackage.LOOSE_LIBRARY__BINARIES_PATH|g
s|MetaLooseConfiguration\.SF_APPLICATIONS|LooseconfigPackage.LOOSE_CONFIGURATION__APPLICATIONS|g
s|MetaLooseArchive\.SF_URI|LooseconfigPackage.LOOSE_ARCHIVE__URI|g
s|MetaLooseArchive\.SF_RESOURCESPATH|LooseconfigPackage.LOOSE_ARCHIVE__RESOURCES_PATH|g
s|MetaLooseArchive\.SF_LOOSEAPP|LooseconfigPackage.LOOSE_ARCHIVE__LOOSE_APP|g
s|MetaLooseArchive\.SF_BINARIESPATH|LooseconfigPackage.LOOSE_ARCHIVE__BINARIES_PATH|g
s|MetaLooseApplication\.SF_URI|LooseconfigPackage.LOOSE_APPLICATION__URI|g
s|MetaLooseApplication\.SF_RESOURCESPATH|LooseconfigPackage.LOOSE_APPLICATION__RESOURCES_PATH|g
s|MetaLooseApplication\.SF_LOOSEARCHIVES|LooseconfigPackage.LOOSE_APPLICATION__LOOSE_ARCHIVES|g
s|MetaLooseApplication\.SF_LOOSEAPP|LooseconfigPackage.LOOSE_APPLICATION__LOOSE_APP|g
s|MetaLooseApplication\.SF_BINARIESPATH|LooseconfigPackage.LOOSE_APPLICATION__BINARIES_PATH|g
/MetaLooseWARFile metaLooseWARFile/!s|MetaLooseWARFile\([^a-zA-Z0-9]\)|EClass\1|g
/MetaLooseModule metaLooseModule/!s|MetaLooseModule\([^a-zA-Z0-9]\)|EClass\1|g
/MetaLooseLibrary metaLooseLibrary/!s|MetaLooseLibrary\([^a-zA-Z0-9]\)|EClass\1|g
/MetaLooseConfiguration metaLooseConfiguration/!s|MetaLooseConfiguration\([^a-zA-Z0-9]\)|EClass\1|g
/MetaLooseArchive metaLooseArchive/!s|MetaLooseArchive\([^a-zA-Z0-9]\)|EClass\1|g
/MetaLooseApplication metaLooseApplication/!s|MetaLooseApplication\([^a-zA-Z0-9]\)|EClass\1|g
s|\.metaUri()|.getEFeature(LooseconfigPackage.LOOSE_ARCHIVE__URI,LooseconfigPackage.LOOSE_ARCHIVE,LooseconfigPackage.packageURI)|g
s|\.metaResourcesPath()|.getEFeature(LooseconfigPackage.LOOSE_ARCHIVE__RESOURCES_PATH,LooseconfigPackage.LOOSE_ARCHIVE,LooseconfigPackage.packageURI)|g
s|\.metaLooseWAR()|.getEFeature(LooseconfigPackage.LOOSE_LIBRARY__LOOSE_WAR,LooseconfigPackage.LOOSE_LIBRARY,LooseconfigPackage.packageURI)|g
s|\.metaLooseLibs()|.getEFeature(LooseconfigPackage.LOOSE_WAR_FILE__LOOSE_LIBS,LooseconfigPackage.LOOSE_WAR_FILE,LooseconfigPackage.packageURI)|g
s|\.metaLooseArchives()|.getEFeature(LooseconfigPackage.LOOSE_APPLICATION__LOOSE_ARCHIVES,LooseconfigPackage.LOOSE_APPLICATION,LooseconfigPackage.packageURI)|g
s|\.metaLooseApp()|.getEFeature(LooseconfigPackage.LOOSE_ARCHIVE__LOOSE_APP,LooseconfigPackage.LOOSE_ARCHIVE,LooseconfigPackage.packageURI)|g
s|\.metaBinariesPath()|.getEFeature(LooseconfigPackage.LOOSE_ARCHIVE__BINARIES_PATH,LooseconfigPackage.LOOSE_ARCHIVE,LooseconfigPackage.packageURI)|g
s|\.metaApplications()|.getEFeature(LooseconfigPackage.LOOSE_CONFIGURATION__APPLICATIONS,LooseconfigPackage.LOOSE_CONFIGURATION,LooseconfigPackage.packageURI)|g
s|\.metaAltDD()|.getEFeature(LooseconfigPackage.LOOSE_MODULE__ALT_DD,LooseconfigPackage.LOOSE_MODULE,LooseconfigPackage.packageURI)|g
/MetaLooseWARFile metaLooseWARFile/!s|metaLooseWARFile()|eClassLooseWARFile()|g
/MetaLooseModule metaLooseModule/!s|metaLooseModule()|eClassLooseModule()|g
/MetaLooseLibrary metaLooseLibrary/!s|metaLooseLibrary()|eClassLooseLibrary()|g
/MetaLooseConfiguration metaLooseConfiguration/!s|metaLooseConfiguration()|eClassLooseConfiguration()|g
/MetaLooseArchive metaLooseArchive/!s|metaLooseArchive()|eClassLooseArchive()|g
/MetaLooseApplication metaLooseApplication/!s|metaLooseApplication()|eClassLooseApplication()|g

