# CONTAINS com.ibm.etools.webapplication

#####################################################################
#
# Sed command for replacing references to MOF2 APIs
# invoke using
#    sed -f j2ee.sed <src-file> > <target-file>
#
#####################################################################

# Rules for converting APIs from the WebapplicationPackage package
s|metaWelcomeFileList()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.WELCOME_FILE_LIST,WebapplicationPackage.packageURI)|g
s|metaWelcomeFile()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.WELCOME_FILE,WebapplicationPackage.packageURI)|g
s|metaWebResourceCollection()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.WEB_RESOURCE_COLLECTION,WebapplicationPackage.packageURI)|g
s|metaWebApp()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.WEB_APP,WebapplicationPackage.packageURI)|g
s|metaUserDataConstraint()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.USER_DATA_CONSTRAINT,WebapplicationPackage.packageURI)|g
s|metaURLPatternType()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.URL_PATTERN_TYPE,WebapplicationPackage.packageURI)|g
s|metaTagLibRef()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.TAG_LIB_REF,WebapplicationPackage.packageURI)|g
s|metaSessionConfig()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.SESSION_CONFIG,WebapplicationPackage.packageURI)|g
s|metaServletType()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.SERVLET_TYPE,WebapplicationPackage.packageURI)|g
s|metaServletMapping()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.SERVLET_MAPPING,WebapplicationPackage.packageURI)|g
s|metaServlet()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.SERVLET,WebapplicationPackage.packageURI)|g
s|metaSecurityConstraint()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.SECURITY_CONSTRAINT,WebapplicationPackage.packageURI)|g
s|metaRoleNameType()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.ROLE_NAME_TYPE,WebapplicationPackage.packageURI)|g
s|metaMimeMapping()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.MIME_MAPPING,WebapplicationPackage.packageURI)|g
s|metaLoginConfig()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.LOGIN_CONFIG,WebapplicationPackage.packageURI)|g
s|metaListener()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.LISTENER,WebapplicationPackage.packageURI)|g
s|metaJSPType()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.JSP_TYPE,WebapplicationPackage.packageURI)|g
s|metaInitParam()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.INIT_PARAM,WebapplicationPackage.packageURI)|g
s|metaHTTPMethodType()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.HTTP_METHOD_TYPE,WebapplicationPackage.packageURI)|g
s|metaFormLoginConfig()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.FORM_LOGIN_CONFIG,WebapplicationPackage.packageURI)|g
s|metaFilterMapping()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.FILTER_MAPPING,WebapplicationPackage.packageURI)|g
s|metaFilter()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.FILTER,WebapplicationPackage.packageURI)|g
s|metaExceptionTypeErrorPage()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.EXCEPTION_TYPE_ERROR_PAGE,WebapplicationPackage.packageURI)|g
s|metaErrorPage()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.ERROR_PAGE,WebapplicationPackage.packageURI)|g
s|metaErrorCodeErrorPage()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.ERROR_CODE_ERROR_PAGE,WebapplicationPackage.packageURI)|g
s|metaContextParam()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.CONTEXT_PARAM,WebapplicationPackage.packageURI)|g
s|metaAuthConstraint()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,WebapplicationPackage.AUTH_CONSTRAINT,WebapplicationPackage.packageURI)|g
s|WebapplicationPackage\.ENUM_TRANSPORTGUARANTEETYPE|WebapplicationPackage.TRANSPORT_GUARANTEE_TYPE|g
s|WebapplicationPackage\.ENUM_RESAUTHSERVLETTYPE|WebapplicationPackage.RES_AUTH_SERVLET_TYPE|g
s|WebapplicationPackage\.ENUM_AUTHMETHODKIND|WebapplicationPackage.AUTH_METHOD_KIND|g
s|WebapplicationPackage\.CLASS_WELCOMEFILELIST|WebapplicationPackage.WELCOME_FILE_LIST|g
s|WebapplicationPackage\.CLASS_WELCOMEFILE|WebapplicationPackage.WELCOME_FILE|g
s|WebapplicationPackage\.CLASS_WEBTYPE|WebapplicationPackage.WEB_TYPE|g
s|WebapplicationPackage\.CLASS_WEBRESOURCECOLLECTION|WebapplicationPackage.WEB_RESOURCE_COLLECTION|g
s|WebapplicationPackage\.CLASS_WEBAPP|WebapplicationPackage.WEB_APP|g
s|WebapplicationPackage\.CLASS_USERDATACONSTRAINT|WebapplicationPackage.USER_DATA_CONSTRAINT|g
s|WebapplicationPackage\.CLASS_URLPATTERNTYPE|WebapplicationPackage.URL_PATTERN_TYPE|g
s|WebapplicationPackage\.CLASS_TAGLIBREF|WebapplicationPackage.TAG_LIB_REF|g
s|WebapplicationPackage\.CLASS_SESSIONCONFIG|WebapplicationPackage.SESSION_CONFIG|g
s|WebapplicationPackage\.CLASS_SERVLETTYPE|WebapplicationPackage.SERVLET_TYPE|g
s|WebapplicationPackage\.CLASS_SERVLETMAPPING|WebapplicationPackage.SERVLET_MAPPING|g
s|WebapplicationPackage\.CLASS_SERVLET|WebapplicationPackage.SERVLET|g
s|WebapplicationPackage\.CLASS_SECURITYCONSTRAINT|WebapplicationPackage.SECURITY_CONSTRAINT|g
s|WebapplicationPackage\.CLASS_ROLENAMETYPE|WebapplicationPackage.ROLE_NAME_TYPE|g
s|WebapplicationPackage\.CLASS_MIMEMAPPING|WebapplicationPackage.MIME_MAPPING|g
s|WebapplicationPackage\.CLASS_LOGINCONFIG|WebapplicationPackage.LOGIN_CONFIG|g
s|WebapplicationPackage\.CLASS_LISTENER|WebapplicationPackage.LISTENER|g
s|WebapplicationPackage\.CLASS_JSPTYPE|WebapplicationPackage.JSP_TYPE|g
s|WebapplicationPackage\.CLASS_INITPARAM|WebapplicationPackage.INIT_PARAM|g
s|WebapplicationPackage\.CLASS_HTTPMETHODTYPE|WebapplicationPackage.HTTP_METHOD_TYPE|g
s|WebapplicationPackage\.CLASS_FORMLOGINCONFIG|WebapplicationPackage.FORM_LOGIN_CONFIG|g
s|WebapplicationPackage\.CLASS_FILTERMAPPING|WebapplicationPackage.FILTER_MAPPING|g
s|WebapplicationPackage\.CLASS_FILTER|WebapplicationPackage.FILTER|g
s|WebapplicationPackage\.CLASS_EXCEPTIONTYPEERRORPAGE|WebapplicationPackage.EXCEPTION_TYPE_ERROR_PAGE|g
s|WebapplicationPackage\.CLASS_ERRORPAGE|WebapplicationPackage.ERROR_PAGE|g
s|WebapplicationPackage\.CLASS_ERRORCODEERRORPAGE|WebapplicationPackage.ERROR_CODE_ERROR_PAGE|g
s|WebapplicationPackage\.CLASS_CONTEXTPARAM|WebapplicationPackage.CONTEXT_PARAM|g
s|WebapplicationPackage\.CLASS_AUTHCONSTRAINT|WebapplicationPackage.AUTH_CONSTRAINT|g
s|WebapplicationFactory\.ENUM_TRANSPORTGUARANTEETYPE|WebapplicationPackage.TRANSPORT_GUARANTEE_TYPE|g
s|WebapplicationFactory\.ENUM_RESAUTHSERVLETTYPE|WebapplicationPackage.RES_AUTH_SERVLET_TYPE|g
s|WebapplicationFactory\.ENUM_AUTHMETHODKIND|WebapplicationPackage.AUTH_METHOD_KIND|g
s|WebapplicationFactory\.CLASS_WELCOMEFILELIST|WebapplicationPackage.WELCOME_FILE_LIST|g
s|WebapplicationFactory\.CLASS_WELCOMEFILE|WebapplicationPackage.WELCOME_FILE|g
s|WebapplicationFactory\.CLASS_WEBTYPE|WebapplicationPackage.WEB_TYPE|g
s|WebapplicationFactory\.CLASS_WEBRESOURCECOLLECTION|WebapplicationPackage.WEB_RESOURCE_COLLECTION|g
s|WebapplicationFactory\.CLASS_WEBAPP|WebapplicationPackage.WEB_APP|g
s|WebapplicationFactory\.CLASS_USERDATACONSTRAINT|WebapplicationPackage.USER_DATA_CONSTRAINT|g
s|WebapplicationFactory\.CLASS_URLPATTERNTYPE|WebapplicationPackage.URL_PATTERN_TYPE|g
s|WebapplicationFactory\.CLASS_TAGLIBREF|WebapplicationPackage.TAG_LIB_REF|g
s|WebapplicationFactory\.CLASS_SESSIONCONFIG|WebapplicationPackage.SESSION_CONFIG|g
s|WebapplicationFactory\.CLASS_SERVLETTYPE|WebapplicationPackage.SERVLET_TYPE|g
s|WebapplicationFactory\.CLASS_SERVLETMAPPING|WebapplicationPackage.SERVLET_MAPPING|g
s|WebapplicationFactory\.CLASS_SERVLET|WebapplicationPackage.SERVLET|g
s|WebapplicationFactory\.CLASS_SECURITYCONSTRAINT|WebapplicationPackage.SECURITY_CONSTRAINT|g
s|WebapplicationFactory\.CLASS_ROLENAMETYPE|WebapplicationPackage.ROLE_NAME_TYPE|g
s|WebapplicationFactory\.CLASS_MIMEMAPPING|WebapplicationPackage.MIME_MAPPING|g
s|WebapplicationFactory\.CLASS_LOGINCONFIG|WebapplicationPackage.LOGIN_CONFIG|g
s|WebapplicationFactory\.CLASS_LISTENER|WebapplicationPackage.LISTENER|g
s|WebapplicationFactory\.CLASS_JSPTYPE|WebapplicationPackage.JSP_TYPE|g
s|WebapplicationFactory\.CLASS_INITPARAM|WebapplicationPackage.INIT_PARAM|g
s|WebapplicationFactory\.CLASS_HTTPMETHODTYPE|WebapplicationPackage.HTTP_METHOD_TYPE|g
s|WebapplicationFactory\.CLASS_FORMLOGINCONFIG|WebapplicationPackage.FORM_LOGIN_CONFIG|g
s|WebapplicationFactory\.CLASS_FILTERMAPPING|WebapplicationPackage.FILTER_MAPPING|g
s|WebapplicationFactory\.CLASS_FILTER|WebapplicationPackage.FILTER|g
s|WebapplicationFactory\.CLASS_EXCEPTIONTYPEERRORPAGE|WebapplicationPackage.EXCEPTION_TYPE_ERROR_PAGE|g
s|WebapplicationFactory\.CLASS_ERRORPAGE|WebapplicationPackage.ERROR_PAGE|g
s|WebapplicationFactory\.CLASS_ERRORCODEERRORPAGE|WebapplicationPackage.ERROR_CODE_ERROR_PAGE|g
s|WebapplicationFactory\.CLASS_CONTEXTPARAM|WebapplicationPackage.CONTEXT_PARAM|g
s|WebapplicationFactory\.CLASS_AUTHCONSTRAINT|WebapplicationPackage.AUTH_CONSTRAINT|g
s|\.meta\.MetaWelcomeFileList\.|.MetaWelcomeFileList.|g
s|\.meta\.MetaWelcomeFile\.|.MetaWelcomeFile.|g
s|\.meta\.MetaWebType\.|.MetaWebType.|g
s|\.meta\.MetaWebResourceCollection\.|.MetaWebResourceCollection.|g
s|\.meta\.MetaWebApp\.|.MetaWebApp.|g
s|\.meta\.MetaUserDataConstraint\.|.MetaUserDataConstraint.|g
s|\.meta\.MetaURLPatternType\.|.MetaURLPatternType.|g
s|\.meta\.MetaTransportGuaranteeType\.NONE|.TransportGuaranteeType.NONE|g
s|\.meta\.MetaTransportGuaranteeType\.INTEGRAL|.TransportGuaranteeType.INTEGRAL|g
s|\.meta\.MetaTransportGuaranteeType\.CONFIDENTIAL|.TransportGuaranteeType.CONFIDENTIAL|g
s|\.meta\.MetaTagLibRef\.|.MetaTagLibRef.|g
s|\.meta\.MetaSessionConfig\.|.MetaSessionConfig.|g
s|\.meta\.MetaServletType\.|.MetaServletType.|g
s|\.meta\.MetaServletMapping\.|.MetaServletMapping.|g
s|\.meta\.MetaServlet\.|.MetaServlet.|g
s|\.meta\.MetaSecurityConstraint\.|.MetaSecurityConstraint.|g
s|\.meta\.MetaRoleNameType\.|.MetaRoleNameType.|g
s|\.meta\.MetaMimeMapping\.|.MetaMimeMapping.|g
s|\.meta\.MetaLoginConfig\.|.MetaLoginConfig.|g
s|\.meta\.MetaListener\.|.MetaListener.|g
s|\.meta\.MetaJSPType\.|.MetaJSPType.|g
s|\.meta\.MetaInitParam\.|.MetaInitParam.|g
s|\.meta\.MetaHTTPMethodType\.|.MetaHTTPMethodType.|g
s|\.meta\.MetaFormLoginConfig\.|.MetaFormLoginConfig.|g
s|\.meta\.MetaFilterMapping\.|.MetaFilterMapping.|g
s|\.meta\.MetaFilter\.|.MetaFilter.|g
s|\.meta\.MetaExceptionTypeErrorPage\.|.MetaExceptionTypeErrorPage.|g
s|\.meta\.MetaErrorPage\.|.MetaErrorPage.|g
s|\.meta\.MetaErrorCodeErrorPage\.|.MetaErrorCodeErrorPage.|g
s|\.meta\.MetaContextParam\.|.MetaContextParam.|g
s|\.meta\.MetaAuthMethodKind\.UNSPECIFIED|.AuthMethodKind.UNSPECIFIED|g
s|\.meta\.MetaAuthMethodKind\.FORM|.AuthMethodKind.FORM|g
s|\.meta\.MetaAuthMethodKind\.DIGEST|.AuthMethodKind.DIGEST|g
s|\.meta\.MetaAuthMethodKind\.CLIENT_CERT|.AuthMethodKind.CLIENT_CERT|g
s|\.meta\.MetaAuthMethodKind\.BASIC|.AuthMethodKind.BASIC|g
s|\.meta\.MetaAuthConstraint\.|.MetaAuthConstraint.|g
s|metaWelcomeFileList()\.metaWebApp()|ePackageWebapplication().getWelcomeFileList_WebApp()|g
s|metaWelcomeFileList()\.metaFile()|ePackageWebapplication().getWelcomeFileList_File()|g
s|metaWelcomeFile()\.metaWelcomeFile()|ePackageWebapplication().getWelcomeFile_WelcomeFile()|g
s|metaWelcomeFile()\.metaFileList()|ePackageWebapplication().getWelcomeFile_FileList()|g
s|metaWebResourceCollection()\.metaWebResourceName()|ePackageWebapplication().getWebResourceCollection_WebResourceName()|g
s|metaWebResourceCollection()\.metaURLs()|ePackageWebapplication().getWebResourceCollection_URLs()|g
s|metaWebResourceCollection()\.metaSecConstraint()|ePackageWebapplication().getWebResourceCollection_SecConstraint()|g
s|metaWebResourceCollection()\.metaHTTPs()|ePackageWebapplication().getWebResourceCollection_HTTPs()|g
s|metaWebResourceCollection()\.metaDescription()|ePackageWebapplication().getWebResourceCollection_Description()|g
s|metaWebApp()\.metaTagLibs()|ePackageWebapplication().getWebApp_TagLibs()|g
s|metaWebApp()\.metaSmallIcon()|ePackageWebapplication().getWebApp_SmallIcon()|g
s|metaWebApp()\.metaSessionConfig()|ePackageWebapplication().getWebApp_SessionConfig()|g
s|metaWebApp()\.metaServlets()|ePackageWebapplication().getWebApp_Servlets()|g
s|metaWebApp()\.metaServletMappings()|ePackageWebapplication().getWebApp_ServletMappings()|g
s|metaWebApp()\.metaSecurityRoles()|ePackageWebapplication().getWebApp_SecurityRoles()|g
s|metaWebApp()\.metaResourceRefs()|ePackageWebapplication().getWebApp_ResourceRefs()|g
s|metaWebApp()\.metaResourceEnvRefs()|ePackageWebapplication().getWebApp_ResourceEnvRefs()|g
s|metaWebApp()\.metaMimeMappings()|ePackageWebapplication().getWebApp_MimeMappings()|g
s|metaWebApp()\.metaLoginConfig()|ePackageWebapplication().getWebApp_LoginConfig()|g
s|metaWebApp()\.metaListeners()|ePackageWebapplication().getWebApp_Listeners()|g
s|metaWebApp()\.metaLargeIcon()|ePackageWebapplication().getWebApp_LargeIcon()|g
s|metaWebApp()\.metaFilters()|ePackageWebapplication().getWebApp_Filters()|g
s|metaWebApp()\.metaFilterMappings()|ePackageWebapplication().getWebApp_FilterMappings()|g
s|metaWebApp()\.metaFileList()|ePackageWebapplication().getWebApp_FileList()|g
s|metaWebApp()\.metaErrorPages()|ePackageWebapplication().getWebApp_ErrorPages()|g
s|metaWebApp()\.metaEnvEntries()|ePackageWebapplication().getWebApp_EnvEntries()|g
s|metaWebApp()\.metaEjbRefs()|ePackageWebapplication().getWebApp_EjbRefs()|g
s|metaWebApp()\.metaEjbLocalRefs()|ePackageWebapplication().getWebApp_EjbLocalRefs()|g
s|metaWebApp()\.metaDistributable()|ePackageWebapplication().getWebApp_Distributable()|g
s|metaWebApp()\.metaDisplayName()|ePackageWebapplication().getWebApp_DisplayName()|g
s|metaWebApp()\.metaDescription()|ePackageWebapplication().getWebApp_Description()|g
s|metaWebApp()\.metaContexts()|ePackageWebapplication().getWebApp_Contexts()|g
s|metaWebApp()\.metaConstraints()|ePackageWebapplication().getWebApp_Constraints()|g
s|metaUserDataConstraint()\.metaTransportGuarantee()|ePackageWebapplication().getUserDataConstraint_TransportGuarantee()|g
s|metaUserDataConstraint()\.metaSecConstraint()|ePackageWebapplication().getUserDataConstraint_SecConstraint()|g
s|metaUserDataConstraint()\.metaDescription()|ePackageWebapplication().getUserDataConstraint_Description()|g
s|metaURLPatternType()\.metaUrlPattern()|ePackageWebapplication().getURLPatternType_UrlPattern()|g
s|metaURLPatternType()\.metaResCollection()|ePackageWebapplication().getURLPatternType_ResCollection()|g
s|metaTransportGuaranteeType()\.metaNONE()|ePackageWebapplication().getTransportGuaranteeType_NONE()|g
s|metaTransportGuaranteeType()\.metaINTEGRAL()|ePackageWebapplication().getTransportGuaranteeType_INTEGRAL()|g
s|metaTransportGuaranteeType()\.metaCONFIDENTIAL()|ePackageWebapplication().getTransportGuaranteeType_CONFIDENTIAL()|g
s|metaTagLibRef()\.metaWebApp()|ePackageWebapplication().getTagLibRef_WebApp()|g
s|metaTagLibRef()\.metaTaglibURI()|ePackageWebapplication().getTagLibRef_TaglibURI()|g
s|metaTagLibRef()\.metaTaglibLocation()|ePackageWebapplication().getTagLibRef_TaglibLocation()|g
s|metaSessionConfig()\.metaWebApp()|ePackageWebapplication().getSessionConfig_WebApp()|g
s|metaSessionConfig()\.metaSessionTimeout()|ePackageWebapplication().getSessionConfig_SessionTimeout()|g
s|metaServletType()\.metaClassName()|ePackageWebapplication().getServletType_ClassName()|g
s|metaServletMapping()\.metaWebApp()|ePackageWebapplication().getServletMapping_WebApp()|g
s|metaServletMapping()\.metaUrlPattern()|ePackageWebapplication().getServletMapping_UrlPattern()|g
s|metaServletMapping()\.metaServlet()|ePackageWebapplication().getServletMapping_Servlet()|g
s|metaServlet()\.metaWebType()|ePackageWebapplication().getServlet_WebType()|g
s|metaServlet()\.metaWebApp()|ePackageWebapplication().getServlet_WebApp()|g
s|metaServlet()\.metaSmallIcon()|ePackageWebapplication().getServlet_SmallIcon()|g
s|metaServlet()\.metaServletName()|ePackageWebapplication().getServlet_ServletName()|g
s|metaServlet()\.metaSecurityRoleRefs()|ePackageWebapplication().getServlet_SecurityRoleRefs()|g
s|metaServlet()\.metaRunAs()|ePackageWebapplication().getServlet_RunAs()|g
s|metaServlet()\.metaParams()|ePackageWebapplication().getServlet_Params()|g
s|metaServlet()\.metaLoadOnStartup()|ePackageWebapplication().getServlet_LoadOnStartup()|g
s|metaServlet()\.metaLargeIcon()|ePackageWebapplication().getServlet_LargeIcon()|g
s|metaServlet()\.metaDisplayName()|ePackageWebapplication().getServlet_DisplayName()|g
s|metaServlet()\.metaDescription()|ePackageWebapplication().getServlet_Description()|g
s|metaSecurityConstraint()\.metaWebResourceCollections()|ePackageWebapplication().getSecurityConstraint_WebResourceCollections()|g
s|metaSecurityConstraint()\.metaWebApp()|ePackageWebapplication().getSecurityConstraint_WebApp()|g
s|metaSecurityConstraint()\.metaUserDataConstraint()|ePackageWebapplication().getSecurityConstraint_UserDataConstraint()|g
s|metaSecurityConstraint()\.metaAuthConstraint()|ePackageWebapplication().getSecurityConstraint_AuthConstraint()|g
s|metaRoleNameType()\.metaRoleName()|ePackageWebapplication().getRoleNameType_RoleName()|g
s|metaMimeMapping()\.metaWebApp()|ePackageWebapplication().getMimeMapping_WebApp()|g
s|metaMimeMapping()\.metaMimeType()|ePackageWebapplication().getMimeMapping_MimeType()|g
s|metaMimeMapping()\.metaExtension()|ePackageWebapplication().getMimeMapping_Extension()|g
s|metaLoginConfig()\.metaWebApp()|ePackageWebapplication().getLoginConfig_WebApp()|g
s|metaLoginConfig()\.metaRealmName()|ePackageWebapplication().getLoginConfig_RealmName()|g
s|metaLoginConfig()\.metaFormLoginConfig()|ePackageWebapplication().getLoginConfig_FormLoginConfig()|g
s|metaLoginConfig()\.metaAuthMethod()|ePackageWebapplication().getLoginConfig_AuthMethod()|g
s|metaListener()\.metaListenerClass()|ePackageWebapplication().getListener_ListenerClass()|g
s|metaJSPType()\.metaJspFile()|ePackageWebapplication().getJSPType_JspFile()|g
s|metaInitParam()\.metaServlet()|ePackageWebapplication().getInitParam_Servlet()|g

