# CONTAINS com.ibm.etools.client

#####################################################################
#
# Sed command for replacing references to MOF2 APIs
# invoke using
#    sed -f j2ee.sed <src-file> > <target-file>
#
#####################################################################

# Rules for converting APIs from the ClientPackage package
s|metaApplicationClient()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,ClientPackage.APPLICATION_CLIENT,ClientPackage.packageURI)|g
s|ClientPackage\.ENUM_RESAUTHAPPLICATIONTYPE|ClientPackage.RES_AUTH_APPLICATION_TYPE|g
s|ClientPackage\.CLASS_APPLICATIONCLIENT|ClientPackage.APPLICATION_CLIENT|g
s|ClientFactory\.ENUM_RESAUTHAPPLICATIONTYPE|ClientPackage.RES_AUTH_APPLICATION_TYPE|g
s|ClientFactory\.CLASS_APPLICATIONCLIENT|ClientPackage.APPLICATION_CLIENT|g
s|\.meta\.MetaApplicationClient\.|.MetaApplicationClient.|g
s|metaApplicationClient()\.metaSmallIcon()|ePackageClient().getApplicationClient_SmallIcon()|g
s|metaApplicationClient()\.metaResourceRefs()|ePackageClient().getApplicationClient_ResourceRefs()|g
s|metaApplicationClient()\.metaResourceEnvRefs()|ePackageClient().getApplicationClient_ResourceEnvRefs()|g
s|metaApplicationClient()\.metaLargeIcon()|ePackageClient().getApplicationClient_LargeIcon()|g
s|metaApplicationClient()\.metaEnvironmentProps()|ePackageClient().getApplicationClient_EnvironmentProps()|g
s|metaApplicationClient()\.metaEjbReferences()|ePackageClient().getApplicationClient_EjbReferences()|g
s|metaApplicationClient()\.metaDisplayName()|ePackageClient().getApplicationClient_DisplayName()|g
s|metaApplicationClient()\.metaDescription()|ePackageClient().getApplicationClient_Description()|g
s|metaApplicationClient()\.metaCallbackHandler()|ePackageClient().getApplicationClient_CallbackHandler()|g
s|com\.ibm\.etools\.client\.meta\.MetaResAuthApplicationType |com.ibm.etools.emf.ecore.EEnum |g
/MetaResAuthApplicationType metaResAuthApplicationType/!s|metaResAuthApplicationType()|getResAuthApplicationType()|g
s|com\.ibm\.etools\.client\.meta\.MetaResAuthApplicationType|com.ibm.etools.client.ResAuthApplicationType|g
s|com\.ibm\.etools\.client\.meta\.MetaApplicationClient|com.ibm.etools.emf.ecore.EClass|g
s|MetaApplicationClient\.SF_SMALLICON|ClientPackage.APPLICATION_CLIENT__SMALL_ICON|g
s|MetaApplicationClient\.SF_RESOURCEREFS|ClientPackage.APPLICATION_CLIENT__RESOURCE_REFS|g
s|MetaApplicationClient\.SF_RESOURCEENVREFS|ClientPackage.APPLICATION_CLIENT__RESOURCE_ENV_REFS|g
s|MetaApplicationClient\.SF_LARGEICON|ClientPackage.APPLICATION_CLIENT__LARGE_ICON|g
s|MetaApplicationClient\.SF_ENVIRONMENTPROPS|ClientPackage.APPLICATION_CLIENT__ENVIRONMENT_PROPS|g
s|MetaApplicationClient\.SF_EJBREFERENCES|ClientPackage.APPLICATION_CLIENT__EJB_REFERENCES|g
s|MetaApplicationClient\.SF_DISPLAYNAME|ClientPackage.APPLICATION_CLIENT__DISPLAY_NAME|g
s|MetaApplicationClient\.SF_DESCRIPTION|ClientPackage.APPLICATION_CLIENT__DESCRIPTION|g
s|MetaApplicationClient\.SF_CALLBACKHANDLER|ClientPackage.APPLICATION_CLIENT__CALLBACK_HANDLER|g
/MetaResAuthApplicationType metaResAuthApplicationType/!s|MetaResAuthApplicationType\([^a-zA-Z0-9]\)|EEnum\1|g
/MetaApplicationClient metaApplicationClient/!s|MetaApplicationClient\([^a-zA-Z0-9]\)|EClass\1|g
s|\.metaSmallIcon()|.getEFeature(ClientPackage.APPLICATION_CLIENT__SMALL_ICON,ClientPackage.APPLICATION_CLIENT,ClientPackage.packageURI)|g
s|\.metaResourceRefs()|.getEFeature(ClientPackage.APPLICATION_CLIENT__RESOURCE_REFS,ClientPackage.APPLICATION_CLIENT,ClientPackage.packageURI)|g
s|\.metaResourceEnvRefs()|.getEFeature(ClientPackage.APPLICATION_CLIENT__RESOURCE_ENV_REFS,ClientPackage.APPLICATION_CLIENT,ClientPackage.packageURI)|g
s|\.metaLargeIcon()|.getEFeature(ClientPackage.APPLICATION_CLIENT__LARGE_ICON,ClientPackage.APPLICATION_CLIENT,ClientPackage.packageURI)|g
s|\.metaEnvironmentProps()|.getEFeature(ClientPackage.APPLICATION_CLIENT__ENVIRONMENT_PROPS,ClientPackage.APPLICATION_CLIENT,ClientPackage.packageURI)|g
s|\.metaEjbReferences()|.getEFeature(ClientPackage.APPLICATION_CLIENT__EJB_REFERENCES,ClientPackage.APPLICATION_CLIENT,ClientPackage.packageURI)|g
s|\.metaDisplayName()|.getEFeature(ClientPackage.APPLICATION_CLIENT__DISPLAY_NAME,ClientPackage.APPLICATION_CLIENT,ClientPackage.packageURI)|g
s|\.metaDescription()|.getEFeature(ClientPackage.APPLICATION_CLIENT__DESCRIPTION,ClientPackage.APPLICATION_CLIENT,ClientPackage.packageURI)|g
s|\.metaCallbackHandler()|.getEFeature(ClientPackage.APPLICATION_CLIENT__CALLBACK_HANDLER,ClientPackage.APPLICATION_CLIENT,ClientPackage.packageURI)|g
/MetaApplicationClient metaApplicationClient/!s|metaApplicationClient()|eClassApplicationClient()|g

