# CONTAINS com.ibm.etools.commonarchive

#####################################################################
#
# Sed command for replacing references to MOF2 APIs
# invoke using
#    sed -f commonArchive.sed <src-file> > <target-file>
#
#####################################################################

# Rules for converting APIs from the CommonarchivePackage package
s|com\.ibm\.etools\.commonarchive\.meta\.MetaFile|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.meta\.MetaFARFile|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.meta\.MetaEJBModuleRef|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.meta\.MetaEJBJarFile|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.meta\.MetaEJBComponent|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.meta\.MetaEJBClientJarFile|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.meta\.MetaEARFile|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.meta\.MetaContainer|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.meta\.MetaConnectorModuleRef|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.meta\.MetaClientModuleRef|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.meta\.MetaArchive|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.meta\.MetaApplicationClientFile|com.ibm.etools.emf.ecore.EClass|g
s|MetaWebModuleRef\.SF_MODULEFILE|CommonarchivePackage.WEB_MODULE_REF__MODULE_FILE|g
s|MetaWebModuleRef\.SF_MODULE|CommonarchivePackage.WEB_MODULE_REF__MODULE|g
s|MetaWebModuleRef\.SF_EARFILE|CommonarchivePackage.WEB_MODULE_REF__EAR_FILE|g
s|MetaWebModuleRef\.SF_COMPONENTS|CommonarchivePackage.WEB_MODULE_REF__COMPONENTS|g
s|MetaWARFile\.SF_URI|CommonarchivePackage.WAR_FILE__URI|g
s|MetaWARFile\.SF_SIZE|CommonarchivePackage.WAR_FILE__SIZE|g
s|MetaWARFile\.SF_ORIGINALURI|CommonarchivePackage.WAR_FILE__ORIGINAL_URI|g
s|MetaWARFile\.SF_LOADINGCONTAINER|CommonarchivePackage.WAR_FILE__LOADING_CONTAINER|g
s|MetaWARFile\.SF_LASTMODIFIED|CommonarchivePackage.WAR_FILE__LAST_MODIFIED|g
s|MetaWARFile\.SF_ISDIRECTORYENTRY|CommonarchivePackage.WAR_FILE__IS_DIRECTORY_ENTRY|g
s|MetaWARFile\.SF_FILES|CommonarchivePackage.WAR_FILE__FILES|g
s|MetaWARFile\.SF_EXTENSIONS|CommonarchivePackage.WAR_FILE__EXTENSIONS|g
s|MetaWARFile\.SF_DEPLOYMENTDESCRIPTOR|CommonarchivePackage.WAR_FILE__DEPLOYMENT_DESCRIPTOR|g
s|MetaWARFile\.SF_CONTAINER|CommonarchivePackage.WAR_FILE__CONTAINER|g
s|MetaWARFile\.SF_BINDINGS|CommonarchivePackage.WAR_FILE__BINDINGS|g
s|MetaServletComponent\.SF_MODULEREF|CommonarchivePackage.SERVLET_COMPONENT__MODULE_REF|g
s|MetaServletComponent\.SF_EXTENSIONS|CommonarchivePackage.SERVLET_COMPONENT__EXTENSIONS|g
s|MetaServletComponent\.SF_DEPLOYMENTDESCRIPTOR|CommonarchivePackage.SERVLET_COMPONENT__DEPLOYMENT_DESCRIPTOR|g
s|MetaReadOnlyDirectory\.SF_URI|CommonarchivePackage.READ_ONLY_DIRECTORY__URI|g
s|MetaReadOnlyDirectory\.SF_SIZE|CommonarchivePackage.READ_ONLY_DIRECTORY__SIZE|g
s|MetaReadOnlyDirectory\.SF_ORIGINALURI|CommonarchivePackage.READ_ONLY_DIRECTORY__ORIGINAL_URI|g
s|MetaReadOnlyDirectory\.SF_LOADINGCONTAINER|CommonarchivePackage.READ_ONLY_DIRECTORY__LOADING_CONTAINER|g
s|MetaReadOnlyDirectory\.SF_LASTMODIFIED|CommonarchivePackage.READ_ONLY_DIRECTORY__LAST_MODIFIED|g
s|MetaReadOnlyDirectory\.SF_ISDIRECTORYENTRY|CommonarchivePackage.READ_ONLY_DIRECTORY__IS_DIRECTORY_ENTRY|g
s|MetaReadOnlyDirectory\.SF_FILES|CommonarchivePackage.READ_ONLY_DIRECTORY__FILES|g
s|MetaReadOnlyDirectory\.SF_CONTAINER|CommonarchivePackage.READ_ONLY_DIRECTORY__CONTAINER|g
s|MetaRARFile\.SF_URI|CommonarchivePackage.RAR_FILE__URI|g
s|MetaRARFile\.SF_SIZE|CommonarchivePackage.RAR_FILE__SIZE|g
s|MetaRARFile\.SF_ORIGINALURI|CommonarchivePackage.RAR_FILE__ORIGINAL_URI|g
s|MetaRARFile\.SF_LOADINGCONTAINER|CommonarchivePackage.RAR_FILE__LOADING_CONTAINER|g
s|MetaRARFile\.SF_LASTMODIFIED|CommonarchivePackage.RAR_FILE__LAST_MODIFIED|g
s|MetaRARFile\.SF_ISDIRECTORYENTRY|CommonarchivePackage.RAR_FILE__IS_DIRECTORY_ENTRY|g
s|MetaRARFile\.SF_FILES|CommonarchivePackage.RAR_FILE__FILES|g
s|MetaRARFile\.SF_DEPLOYMENTDESCRIPTOR|CommonarchivePackage.RAR_FILE__DEPLOYMENT_DESCRIPTOR|g
s|MetaRARFile\.SF_CONTAINER|CommonarchivePackage.RAR_FILE__CONTAINER|g
s|MetaRARFile\.SF_BINDINGS|CommonarchivePackage.RAR_FILE__BINDINGS|g
s|MetaModuleRef\.SF_MODULEFILE|CommonarchivePackage.MODULE_REF__MODULE_FILE|g
s|MetaModuleRef\.SF_MODULE|CommonarchivePackage.MODULE_REF__MODULE|g
s|MetaModuleRef\.SF_EARFILE|CommonarchivePackage.MODULE_REF__EAR_FILE|g
s|MetaModuleRef\.SF_COMPONENTS|CommonarchivePackage.MODULE_REF__COMPONENTS|g
s|MetaModuleFile\.SF_URI|CommonarchivePackage.MODULE_FILE__URI|g
s|MetaModuleFile\.SF_SIZE|CommonarchivePackage.MODULE_FILE__SIZE|g
s|MetaModuleFile\.SF_ORIGINALURI|CommonarchivePackage.MODULE_FILE__ORIGINAL_URI|g
s|MetaModuleFile\.SF_LOADINGCONTAINER|CommonarchivePackage.MODULE_FILE__LOADING_CONTAINER|g
s|MetaModuleFile\.SF_LASTMODIFIED|CommonarchivePackage.MODULE_FILE__LAST_MODIFIED|g
s|MetaModuleFile\.SF_ISDIRECTORYENTRY|CommonarchivePackage.MODULE_FILE__IS_DIRECTORY_ENTRY|g
s|MetaModuleFile\.SF_FILES|CommonarchivePackage.MODULE_FILE__FILES|g
s|MetaModuleFile\.SF_CONTAINER|CommonarchivePackage.MODULE_FILE__CONTAINER|g
s|MetaModuleComponent\.SF_MODULEREF|CommonarchivePackage.MODULE_COMPONENT__MODULE_REF|g
s|MetaFile\.SF_URI|CommonarchivePackage.FILE__URI|g
s|MetaFile\.SF_SIZE|CommonarchivePackage.FILE__SIZE|g
s|MetaFile\.SF_ORIGINALURI|CommonarchivePackage.FILE__ORIGINAL_URI|g
s|MetaFile\.SF_LOADINGCONTAINER|CommonarchivePackage.FILE__LOADING_CONTAINER|g
s|MetaFile\.SF_LASTMODIFIED|CommonarchivePackage.FILE__LAST_MODIFIED|g
s|MetaFile\.SF_ISDIRECTORYENTRY|CommonarchivePackage.FILE__IS_DIRECTORY_ENTRY|g
s|MetaFile\.SF_CONTAINER|CommonarchivePackage.FILE__CONTAINER|g
s|MetaFARFile\.SF_URI|CommonarchivePackage.FAR_FILE__URI|g
s|MetaFARFile\.SF_SIZE|CommonarchivePackage.FAR_FILE__SIZE|g
s|MetaFARFile\.SF_ORIGINALURI|CommonarchivePackage.FAR_FILE__ORIGINAL_URI|g
s|MetaFARFile\.SF_LOADINGCONTAINER|CommonarchivePackage.FAR_FILE__LOADING_CONTAINER|g
s|MetaFARFile\.SF_LASTMODIFIED|CommonarchivePackage.FAR_FILE__LAST_MODIFIED|g
s|MetaFARFile\.SF_ISDIRECTORYENTRY|CommonarchivePackage.FAR_FILE__IS_DIRECTORY_ENTRY|g
s|MetaFARFile\.SF_FILES|CommonarchivePackage.FAR_FILE__FILES|g
s|MetaFARFile\.SF_CONTAINER|CommonarchivePackage.FAR_FILE__CONTAINER|g
s|MetaEJBModuleRef\.SF_MODULEFILE|CommonarchivePackage.EJB_MODULE_REF__MODULE_FILE|g
s|MetaEJBModuleRef\.SF_MODULE|CommonarchivePackage.EJB_MODULE_REF__MODULE|g
s|MetaEJBModuleRef\.SF_EARFILE|CommonarchivePackage.EJB_MODULE_REF__EAR_FILE|g
s|MetaEJBModuleRef\.SF_COMPONENTS|CommonarchivePackage.EJB_MODULE_REF__COMPONENTS|g
s|MetaEJBJarFile\.SF_URI|CommonarchivePackage.EJB_JAR_FILE__URI|g
s|MetaEJBJarFile\.SF_SIZE|CommonarchivePackage.EJB_JAR_FILE__SIZE|g
s|MetaEJBJarFile\.SF_ORIGINALURI|CommonarchivePackage.EJB_JAR_FILE__ORIGINAL_URI|g
s|MetaEJBJarFile\.SF_LOADINGCONTAINER|CommonarchivePackage.EJB_JAR_FILE__LOADING_CONTAINER|g
s|MetaEJBJarFile\.SF_LASTMODIFIED|CommonarchivePackage.EJB_JAR_FILE__LAST_MODIFIED|g
s|MetaEJBJarFile\.SF_ISDIRECTORYENTRY|CommonarchivePackage.EJB_JAR_FILE__IS_DIRECTORY_ENTRY|g
s|MetaEJBJarFile\.SF_FILES|CommonarchivePackage.EJB_JAR_FILE__FILES|g
s|MetaEJBJarFile\.SF_EXTENSIONS|CommonarchivePackage.EJB_JAR_FILE__EXTENSIONS|g
s|MetaEJBJarFile\.SF_DEPLOYMENTDESCRIPTOR|CommonarchivePackage.EJB_JAR_FILE__DEPLOYMENT_DESCRIPTOR|g
s|MetaEJBJarFile\.SF_CONTAINER|CommonarchivePackage.EJB_JAR_FILE__CONTAINER|g
s|MetaEJBJarFile\.SF_BINDINGS|CommonarchivePackage.EJB_JAR_FILE__BINDINGS|g
s|MetaEJBComponent\.SF_MODULEREF|CommonarchivePackage.EJB_COMPONENT__MODULE_REF|g
s|MetaEJBComponent\.SF_EXTENSIONS|CommonarchivePackage.EJB_COMPONENT__EXTENSIONS|g
s|MetaEJBComponent\.SF_DEPLOYMENTDESCRIPTOR|CommonarchivePackage.EJB_COMPONENT__DEPLOYMENT_DESCRIPTOR|g
s|MetaEJBComponent\.SF_BINDINGS|CommonarchivePackage.EJB_COMPONENT__BINDINGS|g
s|MetaEJBClientJarFile\.SF_URI|CommonarchivePackage.EJB_CLIENT_JAR_FILE__URI|g
s|MetaEJBClientJarFile\.SF_SIZE|CommonarchivePackage.EJB_CLIENT_JAR_FILE__SIZE|g
s|MetaEJBClientJarFile\.SF_ORIGINALURI|CommonarchivePackage.EJB_CLIENT_JAR_FILE__ORIGINAL_URI|g
s|MetaEJBClientJarFile\.SF_LOADINGCONTAINER|CommonarchivePackage.EJB_CLIENT_JAR_FILE__LOADING_CONTAINER|g
s|MetaEJBClientJarFile\.SF_LASTMODIFIED|CommonarchivePackage.EJB_CLIENT_JAR_FILE__LAST_MODIFIED|g
s|MetaEJBClientJarFile\.SF_ISDIRECTORYENTRY|CommonarchivePackage.EJB_CLIENT_JAR_FILE__IS_DIRECTORY_ENTRY|g
s|MetaEJBClientJarFile\.SF_FILES|CommonarchivePackage.EJB_CLIENT_JAR_FILE__FILES|g
s|MetaEJBClientJarFile\.SF_CONTAINER|CommonarchivePackage.EJB_CLIENT_JAR_FILE__CONTAINER|g
s|MetaEARFile\.SF_URI|CommonarchivePackage.EAR_FILE__URI|g
s|MetaEARFile\.SF_SIZE|CommonarchivePackage.EAR_FILE__SIZE|g
s|MetaEARFile\.SF_ORIGINALURI|CommonarchivePackage.EAR_FILE__ORIGINAL_URI|g
s|MetaEARFile\.SF_MODULEREFS|CommonarchivePackage.EAR_FILE__MODULE_REFS|g
s|MetaEARFile\.SF_LOADINGCONTAINER|CommonarchivePackage.EAR_FILE__LOADING_CONTAINER|g
s|MetaEARFile\.SF_LASTMODIFIED|CommonarchivePackage.EAR_FILE__LAST_MODIFIED|g
s|MetaEARFile\.SF_ISDIRECTORYENTRY|CommonarchivePackage.EAR_FILE__IS_DIRECTORY_ENTRY|g
s|MetaEARFile\.SF_FILES|CommonarchivePackage.EAR_FILE__FILES|g
s|MetaEARFile\.SF_EXTENSIONS|CommonarchivePackage.EAR_FILE__EXTENSIONS|g
s|MetaEARFile\.SF_DEPLOYMENTDESCRIPTOR|CommonarchivePackage.EAR_FILE__DEPLOYMENT_DESCRIPTOR|g
s|MetaEARFile\.SF_CONTAINER|CommonarchivePackage.EAR_FILE__CONTAINER|g
s|MetaEARFile\.SF_BINDINGS|CommonarchivePackage.EAR_FILE__BINDINGS|g
s|MetaContainer\.SF_URI|CommonarchivePackage.CONTAINER__URI|g
s|MetaContainer\.SF_SIZE|CommonarchivePackage.CONTAINER__SIZE|g
s|MetaContainer\.SF_ORIGINALURI|CommonarchivePackage.CONTAINER__ORIGINAL_URI|g
s|MetaContainer\.SF_LOADINGCONTAINER|CommonarchivePackage.CONTAINER__LOADING_CONTAINER|g
s|MetaContainer\.SF_LASTMODIFIED|CommonarchivePackage.CONTAINER__LAST_MODIFIED|g
s|MetaContainer\.SF_ISDIRECTORYENTRY|CommonarchivePackage.CONTAINER__IS_DIRECTORY_ENTRY|g
s|MetaContainer\.SF_FILES|CommonarchivePackage.CONTAINER__FILES|g
s|MetaContainer\.SF_CONTAINER|CommonarchivePackage.CONTAINER__CONTAINER|g
s|MetaConnectorModuleRef\.SF_MODULEFILE|CommonarchivePackage.CONNECTOR_MODULE_REF__MODULE_FILE|g
s|MetaConnectorModuleRef\.SF_MODULE|CommonarchivePackage.CONNECTOR_MODULE_REF__MODULE|g
s|MetaConnectorModuleRef\.SF_EARFILE|CommonarchivePackage.CONNECTOR_MODULE_REF__EAR_FILE|g
s|MetaConnectorModuleRef\.SF_COMPONENTS|CommonarchivePackage.CONNECTOR_MODULE_REF__COMPONENTS|g
s|MetaClientModuleRef\.SF_MODULEFILE|CommonarchivePackage.CLIENT_MODULE_REF__MODULE_FILE|g
s|MetaClientModuleRef\.SF_MODULE|CommonarchivePackage.CLIENT_MODULE_REF__MODULE|g
s|MetaClientModuleRef\.SF_EARFILE|CommonarchivePackage.CLIENT_MODULE_REF__EAR_FILE|g
s|MetaClientModuleRef\.SF_COMPONENTS|CommonarchivePackage.CLIENT_MODULE_REF__COMPONENTS|g
s|MetaArchive\.SF_URI|CommonarchivePackage.ARCHIVE__URI|g
s|MetaArchive\.SF_SIZE|CommonarchivePackage.ARCHIVE__SIZE|g
s|MetaArchive\.SF_ORIGINALURI|CommonarchivePackage.ARCHIVE__ORIGINAL_URI|g
s|MetaArchive\.SF_LOADINGCONTAINER|CommonarchivePackage.ARCHIVE__LOADING_CONTAINER|g
s|MetaArchive\.SF_LASTMODIFIED|CommonarchivePackage.ARCHIVE__LAST_MODIFIED|g
s|MetaArchive\.SF_ISDIRECTORYENTRY|CommonarchivePackage.ARCHIVE__IS_DIRECTORY_ENTRY|g
s|MetaArchive\.SF_FILES|CommonarchivePackage.ARCHIVE__FILES|g
s|MetaArchive\.SF_CONTAINER|CommonarchivePackage.ARCHIVE__CONTAINER|g
s|MetaApplicationClientFile\.SF_URI|CommonarchivePackage.APPLICATION_CLIENT_FILE__URI|g
s|MetaApplicationClientFile\.SF_SIZE|CommonarchivePackage.APPLICATION_CLIENT_FILE__SIZE|g
s|MetaApplicationClientFile\.SF_ORIGINALURI|CommonarchivePackage.APPLICATION_CLIENT_FILE__ORIGINAL_URI|g
s|MetaApplicationClientFile\.SF_LOADINGCONTAINER|CommonarchivePackage.APPLICATION_CLIENT_FILE__LOADING_CONTAINER|g
s|MetaApplicationClientFile\.SF_LASTMODIFIED|CommonarchivePackage.APPLICATION_CLIENT_FILE__LAST_MODIFIED|g
s|MetaApplicationClientFile\.SF_ISDIRECTORYENTRY|CommonarchivePackage.APPLICATION_CLIENT_FILE__IS_DIRECTORY_ENTRY|g
s|MetaApplicationClientFile\.SF_FILES|CommonarchivePackage.APPLICATION_CLIENT_FILE__FILES|g
s|MetaApplicationClientFile\.SF_EXTENSIONS|CommonarchivePackage.APPLICATION_CLIENT_FILE__EXTENSIONS|g
s|MetaApplicationClientFile\.SF_DEPLOYMENTDESCRIPTOR|CommonarchivePackage.APPLICATION_CLIENT_FILE__DEPLOYMENT_DESCRIPTOR|g
s|MetaApplicationClientFile\.SF_CONTAINER|CommonarchivePackage.APPLICATION_CLIENT_FILE__CONTAINER|g
s|MetaApplicationClientFile\.SF_BINDINGS|CommonarchivePackage.APPLICATION_CLIENT_FILE__BINDINGS|g
/MetaWebModuleRef metaWebModuleRef/!s|MetaWebModuleRef\([^a-zA-Z0-9]\)|EClass\1|g
/MetaWARFile metaWARFile/!s|MetaWARFile\([^a-zA-Z0-9]\)|EClass\1|g
/MetaServletComponent metaServletComponent/!s|MetaServletComponent\([^a-zA-Z0-9]\)|EClass\1|g
/MetaReadOnlyDirectory metaReadOnlyDirectory/!s|MetaReadOnlyDirectory\([^a-zA-Z0-9]\)|EClass\1|g
/MetaRARFile metaRARFile/!s|MetaRARFile\([^a-zA-Z0-9]\)|EClass\1|g
/MetaModuleRef metaModuleRef/!s|MetaModuleRef\([^a-zA-Z0-9]\)|EClass\1|g
/MetaModuleFile metaModuleFile/!s|MetaModuleFile\([^a-zA-Z0-9]\)|EClass\1|g
/MetaModuleComponent metaModuleComponent/!s|MetaModuleComponent\([^a-zA-Z0-9]\)|EClass\1|g
/MetaFile metaFile/!s|MetaFile\([^a-zA-Z0-9]\)|EClass\1|g
/MetaFARFile metaFARFile/!s|MetaFARFile\([^a-zA-Z0-9]\)|EClass\1|g
/MetaEJBModuleRef metaEJBModuleRef/!s|MetaEJBModuleRef\([^a-zA-Z0-9]\)|EClass\1|g
/MetaEJBJarFile metaEJBJarFile/!s|MetaEJBJarFile\([^a-zA-Z0-9]\)|EClass\1|g
/MetaEJBComponent metaEJBComponent/!s|MetaEJBComponent\([^a-zA-Z0-9]\)|EClass\1|g
/MetaEJBClientJarFile metaEJBClientJarFile/!s|MetaEJBClientJarFile\([^a-zA-Z0-9]\)|EClass\1|g
/MetaEARFile metaEARFile/!s|MetaEARFile\([^a-zA-Z0-9]\)|EClass\1|g
/MetaContainer metaContainer/!s|MetaContainer\([^a-zA-Z0-9]\)|EClass\1|g
/MetaConnectorModuleRef metaConnectorModuleRef/!s|MetaConnectorModuleRef\([^a-zA-Z0-9]\)|EClass\1|g
/MetaClientModuleRef metaClientModuleRef/!s|MetaClientModuleRef\([^a-zA-Z0-9]\)|EClass\1|g
/MetaArchive metaArchive/!s|MetaArchive\([^a-zA-Z0-9]\)|EClass\1|g
/MetaApplicationClientFile metaApplicationClientFile/!s|MetaApplicationClientFile\([^a-zA-Z0-9]\)|EClass\1|g
s|\.metaURI()|.getEFeature(CommonarchivePackage.FILE__URI,CommonarchivePackage.FILE,CommonarchivePackage.packageURI)|g
s|\.metaSize()|.getEFeature(CommonarchivePackage.FILE__SIZE,CommonarchivePackage.FILE,CommonarchivePackage.packageURI)|g
s|\.metaOriginalURI()|.getEFeature(CommonarchivePackage.FILE__ORIGINAL_URI,CommonarchivePackage.FILE,CommonarchivePackage.packageURI)|g
s|\.metaModuleRefs()|.getEFeature(CommonarchivePackage.EAR_FILE__MODULE_REFS,CommonarchivePackage.EAR_FILE,CommonarchivePackage.packageURI)|g
s|\.metaModuleRef()|.getEFeature(CommonarchivePackage.MODULE_COMPONENT__MODULE_REF,CommonarchivePackage.MODULE_COMPONENT,CommonarchivePackage.packageURI)|g
s|\.metaModuleFile()|.getEFeature(CommonarchivePackage.MODULE_REF__MODULE_FILE,CommonarchivePackage.MODULE_REF,CommonarchivePackage.packageURI)|g
s|\.metaModule()|.getEFeature(CommonarchivePackage.MODULE_REF__MODULE,CommonarchivePackage.MODULE_REF,CommonarchivePackage.packageURI)|g
s|\.metaLoadingContainer()|.getEFeature(CommonarchivePackage.FILE__LOADING_CONTAINER,CommonarchivePackage.FILE,CommonarchivePackage.packageURI)|g
s|\.metaLastModified()|.getEFeature(CommonarchivePackage.FILE__LAST_MODIFIED,CommonarchivePackage.FILE,CommonarchivePackage.packageURI)|g
s|\.metaIsDirectoryEntry()|.getEFeature(CommonarchivePackage.FILE__IS_DIRECTORY_ENTRY,CommonarchivePackage.FILE,CommonarchivePackage.packageURI)|g
s|\.metaFiles()|.getEFeature(CommonarchivePackage.CONTAINER__FILES,CommonarchivePackage.CONTAINER,CommonarchivePackage.packageURI)|g
s|\.metaExtensions()|.getEFeature(CommonarchivePackage.WAR_FILE__EXTENSIONS,CommonarchivePackage.WAR_FILE,CommonarchivePackage.packageURI)|g
s|\.metaEarFile()|.getEFeature(CommonarchivePackage.MODULE_REF__EAR_FILE,CommonarchivePackage.MODULE_REF,CommonarchivePackage.packageURI)|g
s|\.metaDeploymentDescriptor()|.getEFeature(CommonarchivePackage.WAR_FILE__DEPLOYMENT_DESCRIPTOR,CommonarchivePackage.WAR_FILE,CommonarchivePackage.packageURI)|g
s|\.metaContainer()|.getEFeature(CommonarchivePackage.FILE__CONTAINER,CommonarchivePackage.FILE,CommonarchivePackage.packageURI)|g
s|\.metaComponents()|.getEFeature(CommonarchivePackage.MODULE_REF__COMPONENTS,CommonarchivePackage.MODULE_REF,CommonarchivePackage.packageURI)|g
s|\.metaBindings()|.getEFeature(CommonarchivePackage.WAR_FILE__BINDINGS,CommonarchivePackage.WAR_FILE,CommonarchivePackage.packageURI)|g
/MetaWebModuleRef metaWebModuleRef/!s|metaWebModuleRef()|eClassWebModuleRef()|g
/MetaWARFile metaWARFile/!s|metaWARFile()|eClassWARFile()|g
/MetaServletComponent metaServletComponent/!s|metaServletComponent()|eClassServletComponent()|g
/MetaReadOnlyDirectory metaReadOnlyDirectory/!s|metaReadOnlyDirectory()|eClassReadOnlyDirectory()|g
/MetaRARFile metaRARFile/!s|metaRARFile()|eClassRARFile()|g
/MetaModuleRef metaModuleRef/!s|metaModuleRef()|eClassModuleRef()|g
/MetaModuleFile metaModuleFile/!s|metaModuleFile()|eClassModuleFile()|g
/MetaModuleComponent metaModuleComponent/!s|metaModuleComponent()|eClassModuleComponent()|g
/MetaFile metaFile/!s|metaFile()|eClassFile()|g
/MetaFARFile metaFARFile/!s|metaFARFile()|eClassFARFile()|g
/MetaEJBModuleRef metaEJBModuleRef/!s|metaEJBModuleRef()|eClassEJBModuleRef()|g
/MetaEJBJarFile metaEJBJarFile/!s|metaEJBJarFile()|eClassEJBJarFile()|g
/MetaEJBComponent metaEJBComponent/!s|metaEJBComponent()|eClassEJBComponent()|g
/MetaEJBClientJarFile metaEJBClientJarFile/!s|metaEJBClientJarFile()|eClassEJBClientJarFile()|g
/MetaEARFile metaEARFile/!s|metaEARFile()|eClassEARFile()|g
/MetaContainer metaContainer/!s|metaContainer()|eClassContainer()|g
/MetaConnectorModuleRef metaConnectorModuleRef/!s|metaConnectorModuleRef()|eClassConnectorModuleRef()|g
/MetaClientModuleRef metaClientModuleRef/!s|metaClientModuleRef()|eClassClientModuleRef()|g
/MetaArchive metaArchive/!s|metaArchive()|eClassArchive()|g
/MetaApplicationClientFile metaApplicationClientFile/!s|metaApplicationClientFile()|eClassApplicationClientFile()|g




