# CONTAINS com.ibm.etools.ejb

#####################################################################
#
# Sed command for replacing references to MOF2 APIs
# invoke using
#    sed -f j2ee.sed <src-file> > <target-file>
#
#####################################################################

# Rules for converting APIs from the EjbPackage package
s|metaSession()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,EjbPackage.SESSION,EjbPackage.packageURI)|g
s|metaRoleSource()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,EjbPackage.ROLE_SOURCE,EjbPackage.packageURI)|g
s|metaRelationships()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,EjbPackage.RELATIONSHIPS,EjbPackage.packageURI)|g
s|metaQueryMethod()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,EjbPackage.QUERY_METHOD,EjbPackage.packageURI)|g
s|metaQuery()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,EjbPackage.QUERY,EjbPackage.packageURI)|g
s|metaMethodTransaction()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,EjbPackage.METHOD_TRANSACTION,EjbPackage.packageURI)|g
s|metaMethodPermission()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,EjbPackage.METHOD_PERMISSION,EjbPackage.packageURI)|g
s|metaMethodElement()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,EjbPackage.METHOD_ELEMENT,EjbPackage.packageURI)|g
s|metaMessageDrivenDestination()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,EjbPackage.MESSAGE_DRIVEN_DESTINATION,EjbPackage.packageURI)|g
s|metaMessageDriven()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,EjbPackage.MESSAGE_DRIVEN,EjbPackage.packageURI)|g
s|metaExcludeList()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,EjbPackage.EXCLUDE_LIST,EjbPackage.packageURI)|g
s|metaEntity()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,EjbPackage.ENTITY,EjbPackage.packageURI)|g
s|metaEnterpriseBean()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,EjbPackage.ENTERPRISE_BEAN,EjbPackage.packageURI)|g
s|metaEJBRelationshipRole()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,EjbPackage.EJB_RELATIONSHIP_ROLE,EjbPackage.packageURI)|g
s|metaEJBRelation()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,EjbPackage.EJB_RELATION,EjbPackage.packageURI)|g
s|metaEJBJar()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,EjbPackage.EJB_JAR,EjbPackage.packageURI)|g
s|metaContainerManagedEntity()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,EjbPackage.CONTAINER_MANAGED_ENTITY,EjbPackage.packageURI)|g
s|metaCMRField()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,EjbPackage.CMR_FIELD,EjbPackage.packageURI)|g
s|metaCMPAttribute()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,EjbPackage.CMP_ATTRIBUTE,EjbPackage.packageURI)|g
s|metaAssemblyDescriptor()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,EjbPackage.ASSEMBLY_DESCRIPTOR,EjbPackage.packageURI)|g
s|EjbPackage\.ENUM_TRANSACTIONTYPE|EjbPackage.TRANSACTION_TYPE|g
s|EjbPackage\.ENUM_TRANSACTIONATTRIBUTETYPE|EjbPackage.TRANSACTION_ATTRIBUTE_TYPE|g
s|EjbPackage\.ENUM_SUBSCRIPTIONDURABILITYKIND|EjbPackage.SUBSCRIPTION_DURABILITY_KIND|g
s|EjbPackage\.ENUM_SESSIONTYPE|EjbPackage.SESSION_TYPE|g
s|EjbPackage\.ENUM_RETURNTYPEMAPPING|EjbPackage.RETURN_TYPE_MAPPING|g
s|EjbPackage\.ENUM_MULTIPLICITYKIND|EjbPackage.MULTIPLICITY_KIND|g
s|EjbPackage\.ENUM_METHODELEMENTKIND|EjbPackage.METHOD_ELEMENT_KIND|g
s|EjbPackage\.ENUM_DESTINATIONTYPE|EjbPackage.DESTINATION_TYPE|g
s|EjbPackage\.ENUM_ACKNOWLEDGEMODE|EjbPackage.ACKNOWLEDGE_MODE|g
s|EjbPackage\.CLASS_SESSION|EjbPackage.SESSION|g
s|EjbPackage\.CLASS_ROLESOURCE|EjbPackage.ROLE_SOURCE|g
s|EjbPackage\.CLASS_RELATIONSHIPS|EjbPackage.RELATIONSHIPS|g
s|EjbPackage\.CLASS_QUERYMETHOD|EjbPackage.QUERY_METHOD|g
s|EjbPackage\.CLASS_QUERY|EjbPackage.QUERY|g
s|EjbPackage\.CLASS_METHODTRANSACTION|EjbPackage.METHOD_TRANSACTION|g
s|EjbPackage\.CLASS_METHODPERMISSION|EjbPackage.METHOD_PERMISSION|g
s|EjbPackage\.CLASS_METHODELEMENT|EjbPackage.METHOD_ELEMENT|g
s|EjbPackage\.CLASS_MESSAGEDRIVENDESTINATION|EjbPackage.MESSAGE_DRIVEN_DESTINATION|g
s|EjbPackage\.CLASS_MESSAGEDRIVEN|EjbPackage.MESSAGE_DRIVEN|g
s|EjbPackage\.CLASS_EXCLUDELIST|EjbPackage.EXCLUDE_LIST|g
s|EjbPackage\.CLASS_ENTITY|EjbPackage.ENTITY|g
s|EjbPackage\.CLASS_ENTERPRISEBEAN|EjbPackage.ENTERPRISE_BEAN|g
s|EjbPackage\.CLASS_EJBRELATIONSHIPROLE|EjbPackage.EJB_RELATIONSHIP_ROLE|g
s|EjbPackage\.CLASS_EJBRELATION|EjbPackage.EJB_RELATION|g
s|EjbPackage\.CLASS_EJBMETHODCATEGORY|EjbPackage.EJB_METHOD_CATEGORY|g
s|EjbPackage\.CLASS_EJBJAR|EjbPackage.EJB_JAR|g
s|EjbPackage\.CLASS_CONTAINERMANAGEDENTITY|EjbPackage.CONTAINER_MANAGED_ENTITY|g
s|EjbPackage\.CLASS_CMRFIELD|EjbPackage.CMR_FIELD|g
s|EjbPackage\.CLASS_CMPATTRIBUTE|EjbPackage.CMP_ATTRIBUTE|g
s|EjbPackage\.CLASS_ASSEMBLYDESCRIPTOR|EjbPackage.ASSEMBLY_DESCRIPTOR|g
s|EjbFactory\.ENUM_TRANSACTIONTYPE|EjbPackage.TRANSACTION_TYPE|g
s|EjbFactory\.ENUM_TRANSACTIONATTRIBUTETYPE|EjbPackage.TRANSACTION_ATTRIBUTE_TYPE|g
s|EjbFactory\.ENUM_SUBSCRIPTIONDURABILITYKIND|EjbPackage.SUBSCRIPTION_DURABILITY_KIND|g
s|EjbFactory\.ENUM_SESSIONTYPE|EjbPackage.SESSION_TYPE|g
s|EjbFactory\.ENUM_RETURNTYPEMAPPING|EjbPackage.RETURN_TYPE_MAPPING|g
s|EjbFactory\.ENUM_MULTIPLICITYKIND|EjbPackage.MULTIPLICITY_KIND|g
s|EjbFactory\.ENUM_METHODELEMENTKIND|EjbPackage.METHOD_ELEMENT_KIND|g
s|EjbFactory\.ENUM_DESTINATIONTYPE|EjbPackage.DESTINATION_TYPE|g
s|EjbFactory\.ENUM_ACKNOWLEDGEMODE|EjbPackage.ACKNOWLEDGE_MODE|g
s|EjbFactory\.CLASS_SESSION|EjbPackage.SESSION|g
s|EjbFactory\.CLASS_ROLESOURCE|EjbPackage.ROLE_SOURCE|g
s|EjbFactory\.CLASS_RELATIONSHIPS|EjbPackage.RELATIONSHIPS|g
s|EjbFactory\.CLASS_QUERYMETHOD|EjbPackage.QUERY_METHOD|g
s|EjbFactory\.CLASS_QUERY|EjbPackage.QUERY|g
s|EjbFactory\.CLASS_METHODTRANSACTION|EjbPackage.METHOD_TRANSACTION|g
s|EjbFactory\.CLASS_METHODPERMISSION|EjbPackage.METHOD_PERMISSION|g
s|EjbFactory\.CLASS_METHODELEMENT|EjbPackage.METHOD_ELEMENT|g
s|EjbFactory\.CLASS_MESSAGEDRIVENDESTINATION|EjbPackage.MESSAGE_DRIVEN_DESTINATION|g
s|EjbFactory\.CLASS_MESSAGEDRIVEN|EjbPackage.MESSAGE_DRIVEN|g
s|EjbFactory\.CLASS_EXCLUDELIST|EjbPackage.EXCLUDE_LIST|g
s|EjbFactory\.CLASS_ENTITY|EjbPackage.ENTITY|g
s|EjbFactory\.CLASS_ENTERPRISEBEAN|EjbPackage.ENTERPRISE_BEAN|g
s|EjbFactory\.CLASS_EJBRELATIONSHIPROLE|EjbPackage.EJB_RELATIONSHIP_ROLE|g
s|EjbFactory\.CLASS_EJBRELATION|EjbPackage.EJB_RELATION|g
s|EjbFactory\.CLASS_EJBMETHODCATEGORY|EjbPackage.EJB_METHOD_CATEGORY|g
s|EjbFactory\.CLASS_EJBJAR|EjbPackage.EJB_JAR|g
s|EjbFactory\.CLASS_CONTAINERMANAGEDENTITY|EjbPackage.CONTAINER_MANAGED_ENTITY|g
s|EjbFactory\.CLASS_CMRFIELD|EjbPackage.CMR_FIELD|g
s|EjbFactory\.CLASS_CMPATTRIBUTE|EjbPackage.CMP_ATTRIBUTE|g
s|EjbFactory\.CLASS_ASSEMBLYDESCRIPTOR|EjbPackage.ASSEMBLY_DESCRIPTOR|g
s|\.meta\.MetaTransactionType\.CONTAINER|.TransactionType.CONTAINER|g
s|\.meta\.MetaTransactionType\.BEAN|.TransactionType.BEAN|g
s|\.meta\.MetaTransactionAttributeType\.SUPPORTS|.TransactionAttributeType.SUPPORTS|g
s|\.meta\.MetaTransactionAttributeType\.REQUIRESNEW|.TransactionAttributeType.REQUIRES_NEW|g
s|\.meta\.MetaTransactionAttributeType\.REQUIRED|.TransactionAttributeType.REQUIRED|g
s|\.meta\.MetaTransactionAttributeType\.NOTSUPPORTED|.TransactionAttributeType.NOT_SUPPORTED|g
s|\.meta\.MetaTransactionAttributeType\.NEVER|.TransactionAttributeType.NEVER|g
s|\.meta\.MetaTransactionAttributeType\.MANDATORY|.TransactionAttributeType.MANDATORY|g
s|\.meta\.MetaSubscriptionDurabilityKind\.NONDURABLE|.SubscriptionDurabilityKind.NON_DURABLE|g
s|\.meta\.MetaSubscriptionDurabilityKind\.DURABLE|.SubscriptionDurabilityKind.DURABLE|g
s|\.meta\.MetaSessionType\.STATELESS|.SessionType.STATELESS|g
s|\.meta\.MetaSessionType\.STATEFUL|.SessionType.STATEFUL|g
s|\.meta\.MetaSession\.|.MetaSession.|g
s|\.meta\.MetaRoleSource\.|.MetaRoleSource.|g
s|\.meta\.MetaReturnTypeMapping\.REMOTE|.ReturnTypeMapping.REMOTE|g
s|\.meta\.MetaReturnTypeMapping\.LOCAL|.ReturnTypeMapping.LOCAL|g
s|\.meta\.MetaRelationships\.|.MetaRelationships.|g
s|\.meta\.MetaQueryMethod\.|.MetaQueryMethod.|g
s|\.meta\.MetaQuery\.|.MetaQuery.|g
s|\.meta\.MetaMultiplicityKind\.ONE|.MultiplicityKind.ONE|g
s|\.meta\.MetaMultiplicityKind\.MANY|.MultiplicityKind.MANY|g
s|\.meta\.MetaMethodTransaction\.|.MetaMethodTransaction.|g
s|\.meta\.MetaMethodPermission\.|.MetaMethodPermission.|g
s|\.meta\.MetaMethodElementKind\.UNSPECIFIED|.MethodElementKind.UNSPECIFIED|g
s|\.meta\.MetaMethodElementKind\.REMOTE|.MethodElementKind.REMOTE|g
s|\.meta\.MetaMethodElementKind\.LOCALHOME|.MethodElementKind.LOCAL_HOME|g
s|\.meta\.MetaMethodElementKind\.LOCAL|.MethodElementKind.LOCAL|g
s|\.meta\.MetaMethodElementKind\.HOME|.MethodElementKind.HOME|g
s|\.meta\.MetaMethodElement\.|.MetaMethodElement.|g
s|\.meta\.MetaMessageDrivenDestination\.|.MetaMessageDrivenDestination.|g
s|\.meta\.MetaMessageDriven\.|.MetaMessageDriven.|g
s|\.meta\.MetaExcludeList\.|.MetaExcludeList.|g
s|\.meta\.MetaEntity\.|.MetaEntity.|g
s|\.meta\.MetaEnterpriseBean\.|.MetaEnterpriseBean.|g
s|\.meta\.MetaEJBRelationshipRole\.|.MetaEJBRelationshipRole.|g
s|\.meta\.MetaEJBRelation\.|.MetaEJBRelation.|g
s|\.meta\.MetaEJBMethodCategory\.|.MetaEJBMethodCategory.|g
s|\.meta\.MetaEJBJar\.|.MetaEJBJar.|g
s|\.meta\.MetaDestinationType\.TOPIC|.DestinationType.TOPIC|g
s|\.meta\.MetaDestinationType\.QUEUE|.DestinationType.QUEUE|g
s|\.meta\.MetaContainerManagedEntity\.|.MetaContainerManagedEntity.|g
s|\.meta\.MetaCMRField\.|.MetaCMRField.|g
s|\.meta\.MetaCMPAttribute\.|.MetaCMPAttribute.|g
s|\.meta\.MetaAssemblyDescriptor\.|.MetaAssemblyDescriptor.|g
s|\.meta\.MetaAcknowledgeMode\.DUPSOKACKNOWLEDGE|.AcknowledgeMode.DUPS_OK_ACKNOWLEDGE|g
s|\.meta\.MetaAcknowledgeMode\.AUTOACKNOWLEDGE|.AcknowledgeMode.AUTO_ACKNOWLEDGE|g
s|metaTransactionType()\.metaContainer()|ePackageEjb().getTransactionType_Container()|g
s|metaTransactionType()\.metaBean()|ePackageEjb().getTransactionType_Bean()|g
s|metaTransactionAttributeType()\.metaSupports()|ePackageEjb().getTransactionAttributeType_Supports()|g
s|metaTransactionAttributeType()\.metaRequiresNew()|ePackageEjb().getTransactionAttributeType_RequiresNew()|g
s|metaTransactionAttributeType()\.metaRequired()|ePackageEjb().getTransactionAttributeType_Required()|g
s|metaTransactionAttributeType()\.metaNotSupported()|ePackageEjb().getTransactionAttributeType_NotSupported()|g
s|metaTransactionAttributeType()\.metaNever()|ePackageEjb().getTransactionAttributeType_Never()|g
s|metaTransactionAttributeType()\.metaMandatory()|ePackageEjb().getTransactionAttributeType_Mandatory()|g
s|metaSubscriptionDurabilityKind()\.metaNonDurable()|ePackageEjb().getSubscriptionDurabilityKind_NonDurable()|g
s|metaSubscriptionDurabilityKind()\.metaDurable()|ePackageEjb().getSubscriptionDurabilityKind_Durable()|g
s|metaSessionType()\.metaStateless()|ePackageEjb().getSessionType_Stateless()|g
s|metaSessionType()\.metaStateful()|ePackageEjb().getSessionType_Stateful()|g
s|metaSession()\.metaTransactionType()|ePackageEjb().getSession_TransactionType()|g
s|metaSession()\.metaSuper()|ePackageEcore().getEGeneralizableElement_Super()|g
s|metaSession()\.metaSmallIcon()|ePackageEjb().getEnterpriseBean_SmallIcon()|g
s|metaSession()\.metaSessionType()|ePackageEjb().getSession_SessionType()|g
s|metaSession()\.metaSecurityRoleRefs()|ePackageEjb().getEnterpriseBean_SecurityRoleRefs()|g
s|metaSession()\.metaSecurityIdentity()|ePackageEjb().getEnterpriseBean_SecurityIdentity()|g
s|metaSession()\.metaResourceRefs()|ePackageEjb().getEnterpriseBean_ResourceRefs()|g
s|metaSession()\.metaResourceEnvRefs()|ePackageEjb().getEnterpriseBean_ResourceEnvRefs()|g
s|metaSession()\.metaRemoteInterface()|ePackageEjb().getEnterpriseBean_RemoteInterface()|g
s|metaSession()\.metaName()|ePackageEcore().getENamedElement_Name()|g
s|metaSession()\.metaLocalInterface()|ePackageEjb().getEnterpriseBean_LocalInterface()|g
s|metaSession()\.metaLocalHomeInterface()|ePackageEjb().getEnterpriseBean_LocalHomeInterface()|g
s|metaSession()\.metaLargeIcon()|ePackageEjb().getEnterpriseBean_LargeIcon()|g
s|metaSession()\.metaIsDeprecated()|ePackageEcore().getEModelElement_IsDeprecated()|g
s|metaSession()\.metaIsAbstract()|ePackageEcore().getEInstantiable_IsAbstract()|g
s|metaSession()\.metaInstanceClass()|ePackageEcore().getEMetaObject_InstanceClass()|g
s|metaSession()\.metaHomeInterface()|ePackageEjb().getEnterpriseBean_HomeInterface()|g
s|metaSession()\.metaEnvironmentProperties()|ePackageEjb().getEnterpriseBean_EnvironmentProperties()|g
s|metaSession()\.metaEjbRefs()|ePackageEjb().getEnterpriseBean_EjbRefs()|g
s|metaSession()\.metaEjbLocalRefs()|ePackageEjb().getEnterpriseBean_EjbLocalRefs()|g
s|metaSession()\.metaEjbJar()|ePackageEjb().getEnterpriseBean_EjbJar()|g
s|metaSession()\.metaEjbClass()|ePackageEjb().getEnterpriseBean_EjbClass()|g
s|metaSession()\.metaESuper()|ePackageEcore().getEGeneralizableElement_ESuper()|g
s|metaSession()\.metaEReferences()|ePackageEcore().getEStructure_EReferences()|g
s|metaSession()\.metaEPackage()|ePackageEcore().getEMetaObject_EPackage()|g
s|metaSession()\.metaEObjectContains()|ePackageEcore().getEObject_EObjectContains()|g
s|metaSession()\.metaEObjectContainer()|ePackageEcore().getEObject_EObjectContainer()|g
s|metaSession()\.metaENamespaceContainer()|ePackageEcore().getENamedElement_ENamespaceContainer()|g
s|metaSession()\.metaENamedElements()|ePackageEcore().getENamespace_ENamedElements()|g
s|metaSession()\.metaEMetaObj()|ePackageEcore().getEObject_EMetaObj()|g
s|metaSession()\.metaEID()|ePackageEcore().getEObject_EID()|g
s|metaSession()\.metaEDecorators()|ePackageEcore().getEModelElement_EDecorators()|g
s|metaSession()\.metaEContains()|ePackageEcore().getENamespace_EContains()|g
s|metaSession()\.metaEContainer()|ePackageEcore().getEModelElement_EContainer()|g
s|metaSession()\.metaEBehaviors()|ePackageEcore().getEType_EBehaviors()|g
s|metaSession()\.metaEAttributes()|ePackageEcore().getEDataStructure_EAttributes()|g
s|metaSession()\.metaEAllReferences()|ePackageEcore().getEClass_EAllReferences()|g
s|metaSession()\.metaEAllContainments()|ePackageEcore().getEClass_EAllContainments()|g
s|metaSession()\.metaEAllBehaviors()|ePackageEcore().getEInterface_EAllBehaviors()|g
s|metaSession()\.metaEAllAttributes()|ePackageEcore().getEClass_EAllAttributes()|g
s|metaSession()\.metaDisplayName()|ePackageEjb().getEnterpriseBean_DisplayName()|g
s|metaSession()\.metaDescription()|ePackageEjb().getEnterpriseBean_Description()|g
s|metaSession()\.metaConstraints()|ePackageEcore().getEModelElement_Constraints()|g
s|metaRoleSource()\.metaRole()|ePackageEjb().getRoleSource_Role()|g
s|metaRoleSource()\.metaEntityBean()|ePackageEjb().getRoleSource_EntityBean()|g
s|metaRoleSource()\.metaDescription()|ePackageEjb().getRoleSource_Description()|g
s|metaReturnTypeMapping()\.metaRemote()|ePackageEjb().getReturnTypeMapping_Remote()|g
s|metaReturnTypeMapping()\.metaLocal()|ePackageEjb().getReturnTypeMapping_Local()|g
s|metaRelationships()\.metaEjbRelations()|ePackageEjb().getRelationships_EjbRelations()|g
s|metaRelationships()\.metaEjbJar()|ePackageEjb().getRelationships_EjbJar()|g
s|metaRelationships()\.metaDescription()|ePackageEjb().getRelationships_Description()|g
s|metaQueryMethod()\.metaType()|ePackageEjb().getMethodElement_Type()|g
s|metaQueryMethod()\.metaQuery()|ePackageEjb().getQueryMethod_Query()|g
s|metaQueryMethod()\.metaParms()|ePackageEjb().getMethodElement_Parms()|g
s|metaQueryMethod()\.metaParams()|ePackageEjb().getMethodElement_Params()|g
s|metaQueryMethod()\.metaName()|ePackageEjb().getMethodElement_Name()|g
s|metaQueryMethod()\.metaMethodTransaction()|ePackageEjb().getMethodElement_MethodTransaction()|g
s|metaQueryMethod()\.metaMethodPermission()|ePackageEjb().getMethodElement_MethodPermission()|g
s|metaQueryMethod()\.metaIsZeroParams()|ePackageEjb().getMethodElement_IsZeroParams()|g
s|metaQueryMethod()\.metaEnterpriseBean()|ePackageEjb().getMethodElement_EnterpriseBean()|g
s|metaQueryMethod()\.metaDescription()|ePackageEjb().getMethodElement_Description()|g
s|metaQuery()\.metaReturnTypeMapping()|ePackageEjb().getQuery_ReturnTypeMapping()|g
s|metaQuery()\.metaQueryMethod()|ePackageEjb().getQuery_QueryMethod()|g
s|metaQuery()\.metaEntity()|ePackageEjb().getQuery_Entity()|g
s|metaQuery()\.metaEjbQL()|ePackageEjb().getQuery_EjbQL()|g
s|metaQuery()\.metaDescription()|ePackageEjb().getQuery_Description()|g
s|metaMultiplicityKind()\.metaOne()|ePackageEjb().getMultiplicityKind_One()|g
s|metaMultiplicityKind()\.metaMany()|ePackageEjb().getMultiplicityKind_Many()|g
s|metaMethodTransaction()\.metaTransactionAttribute()|ePackageEjb().getMethodTransaction_TransactionAttribute()|g
s|metaMethodTransaction()\.metaMethodElements()|ePackageEjb().getMethodTransaction_MethodElements()|g
s|metaMethodTransaction()\.metaDescription()|ePackageEjb().getMethodTransaction_Description()|g
s|metaMethodTransaction()\.metaAssemblyDescriptor()|ePackageEjb().getMethodTransaction_AssemblyDescriptor()|g
s|metaMethodPermission()\.metaUnchecked()|ePackageEjb().getMethodPermission_Unchecked()|g
s|metaMethodPermission()\.metaRoles()|ePackageEjb().getMethodPermission_Roles()|g
s|metaMethodPermission()\.metaMethodElements()|ePackageEjb().getMethodPermission_MethodElements()|g
s|metaMethodPermission()\.metaDescription()|ePackageEjb().getMethodPermission_Description()|g
s|metaMethodPermission()\.metaAssemblyDescriptor()|ePackageEjb().getMethodPermission_AssemblyDescriptor()|g
s|metaMethodElementKind()\.metaUnspecified()|ePackageEjb().getMethodElementKind_Unspecified()|g
s|metaMethodElementKind()\.metaRemote()|ePackageEjb().getMethodElementKind_Remote()|g
s|metaMethodElementKind()\.metaLocalHome()|ePackageEjb().getMethodElementKind_LocalHome()|g
s|metaMethodElementKind()\.metaLocal()|ePackageEjb().getMethodElementKind_Local()|g
s|metaMethodElementKind()\.metaHome()|ePackageEjb().getMethodElementKind_Home()|g
s|metaMethodElement()\.metaType()|ePackageEjb().getMethodElement_Type()|g
s|metaMethodElement()\.metaParms()|ePackageEjb().getMethodElement_Parms()|g
s|metaMethodElement()\.metaParams()|ePackageEjb().getMethodElement_Params()|g
s|metaMethodElement()\.metaName()|ePackageEjb().getMethodElement_Name()|g
s|metaMethodElement()\.metaMethodTransaction()|ePackageEjb().getMethodElement_MethodTransaction()|g
s|metaMethodElement()\.metaMethodPermission()|ePackageEjb().getMethodElement_MethodPermission()|g
s|metaMethodElement()\.metaIsZeroParams()|ePackageEjb().getMethodElement_IsZeroParams()|g
s|metaMethodElement()\.metaEnterpriseBean()|ePackageEjb().getMethodElement_EnterpriseBean()|g
s|metaMethodElement()\.metaDescription()|ePackageEjb().getMethodElement_Description()|g
s|metaMessageDrivenDestination()\.metaType()|ePackageEjb().getMessageDrivenDestination_Type()|g

