# CONTAINS com.ibm.etools.webapplication

#####################################################################
#
# Sed command for replacing references to MOF2 APIs
# invoke using
#    sed -f j2ee.sed <src-file> > <target-file>
#
#####################################################################

# Rules for converting APIs from the WebapplicationPackage package
s|metaInitParam()\.metaParamValue()|ePackageWebapplication().getInitParam_ParamValue()|g
s|metaInitParam()\.metaParamName()|ePackageWebapplication().getInitParam_ParamName()|g
s|metaInitParam()\.metaDescription()|ePackageWebapplication().getInitParam_Description()|g
s|metaHTTPMethodType()\.metaResCollection()|ePackageWebapplication().getHTTPMethodType_ResCollection()|g
s|metaHTTPMethodType()\.metaHttpMethod()|ePackageWebapplication().getHTTPMethodType_HttpMethod()|g
s|metaFormLoginConfig()\.metaLoginConfig()|ePackageWebapplication().getFormLoginConfig_LoginConfig()|g
s|metaFormLoginConfig()\.metaFormLoginPage()|ePackageWebapplication().getFormLoginConfig_FormLoginPage()|g
s|metaFormLoginConfig()\.metaFormErrorPage()|ePackageWebapplication().getFormLoginConfig_FormErrorPage()|g
s|metaFilterMapping()\.metaUrlPattern()|ePackageWebapplication().getFilterMapping_UrlPattern()|g
s|metaFilterMapping()\.metaServlet()|ePackageWebapplication().getFilterMapping_Servlet()|g
s|metaFilterMapping()\.metaFilter()|ePackageWebapplication().getFilterMapping_Filter()|g
s|metaFilter()\.metaSmallIcon()|ePackageWebapplication().getFilter_SmallIcon()|g
s|metaFilter()\.metaName()|ePackageWebapplication().getFilter_Name()|g
s|metaFilter()\.metaLargeIcon()|ePackageWebapplication().getFilter_LargeIcon()|g
s|metaFilter()\.metaInitParams()|ePackageWebapplication().getFilter_InitParams()|g
s|metaFilter()\.metaFilterClass()|ePackageWebapplication().getFilter_FilterClass()|g
s|metaFilter()\.metaDisplayName()|ePackageWebapplication().getFilter_DisplayName()|g
s|metaFilter()\.metaDescription()|ePackageWebapplication().getFilter_Description()|g
s|metaExceptionTypeErrorPage()\.metaWebApp()|ePackageWebapplication().getErrorPage_WebApp()|g
s|metaExceptionTypeErrorPage()\.metaLocation()|ePackageWebapplication().getErrorPage_Location()|g
s|metaExceptionTypeErrorPage()\.metaExceptionType()|ePackageWebapplication().getExceptionTypeErrorPage_ExceptionType()|g
s|metaErrorPage()\.metaWebApp()|ePackageWebapplication().getErrorPage_WebApp()|g
s|metaErrorPage()\.metaLocation()|ePackageWebapplication().getErrorPage_Location()|g
s|metaErrorCodeErrorPage()\.metaWebApp()|ePackageWebapplication().getErrorPage_WebApp()|g
s|metaErrorCodeErrorPage()\.metaLocation()|ePackageWebapplication().getErrorPage_Location()|g
s|metaErrorCodeErrorPage()\.metaErrorCode()|ePackageWebapplication().getErrorCodeErrorPage_ErrorCode()|g
s|metaContextParam()\.metaWebApp()|ePackageWebapplication().getContextParam_WebApp()|g
s|metaContextParam()\.metaParamValue()|ePackageWebapplication().getContextParam_ParamValue()|g
s|metaContextParam()\.metaParamName()|ePackageWebapplication().getContextParam_ParamName()|g
s|metaContextParam()\.metaDescription()|ePackageWebapplication().getContextParam_Description()|g
s|metaAuthMethodKind()\.metaUNSPECIFIED()|ePackageWebapplication().getAuthMethodKind_UNSPECIFIED()|g
s|metaAuthMethodKind()\.metaFORM()|ePackageWebapplication().getAuthMethodKind_FORM()|g
s|metaAuthMethodKind()\.metaDIGEST()|ePackageWebapplication().getAuthMethodKind_DIGEST()|g
s|metaAuthMethodKind()\.metaCLIENT_CERT()|ePackageWebapplication().getAuthMethodKind_CLIENT_CERT()|g
s|metaAuthMethodKind()\.metaBASIC()|ePackageWebapplication().getAuthMethodKind_BASIC()|g
s|metaAuthConstraint()\.metaSecConstraint()|ePackageWebapplication().getAuthConstraint_SecConstraint()|g
s|metaAuthConstraint()\.metaRoles()|ePackageWebapplication().getAuthConstraint_Roles()|g
s|metaAuthConstraint()\.metaDescription()|ePackageWebapplication().getAuthConstraint_Description()|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaTransportGuaranteeType |com.ibm.etools.emf.ecore.EEnum |g
s|com\.ibm\.etools\.webapplication\.meta\.MetaResAuthServletType |com.ibm.etools.emf.ecore.EEnum |g
s|com\.ibm\.etools\.webapplication\.meta\.MetaAuthMethodKind |com.ibm.etools.emf.ecore.EEnum |g
/MetaTransportGuaranteeType metaTransportGuaranteeType/!s|metaTransportGuaranteeType()|getTransportGuaranteeType()|g
/MetaResAuthServletType metaResAuthServletType/!s|metaResAuthServletType()|getResAuthServletType()|g
/MetaAuthMethodKind metaAuthMethodKind/!s|metaAuthMethodKind()|getAuthMethodKind()|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaWelcomeFileList|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaWelcomeFile|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaWebType|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaWebResourceCollection|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaWebApp|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaUserDataConstraint|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaURLPatternType|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaTransportGuaranteeType|com.ibm.etools.webapplication.TransportGuaranteeType|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaTagLibRef|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaSessionConfig|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaServletType|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaServletMapping|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaServlet|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaSecurityConstraint|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaRoleNameType|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaResAuthServletType|com.ibm.etools.webapplication.ResAuthServletType|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaMimeMapping|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaLoginConfig|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaListener|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaJSPType|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaInitParam|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaHTTPMethodType|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaFormLoginConfig|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaFilterMapping|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaFilter|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaExceptionTypeErrorPage|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaErrorPage|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaErrorCodeErrorPage|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaContextParam|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaAuthMethodKind|com.ibm.etools.webapplication.AuthMethodKind|g
s|com\.ibm\.etools\.webapplication\.meta\.MetaAuthConstraint|com.ibm.etools.emf.ecore.EClass|g
s|MetaWelcomeFileList\.SF_WEBAPP|WebapplicationPackage.WELCOME_FILE_LIST__WEB_APP|g
s|MetaWelcomeFileList\.SF_FILE|WebapplicationPackage.WELCOME_FILE_LIST__FILE|g
s|MetaWelcomeFile\.SF_WELCOMEFILE|WebapplicationPackage.WELCOME_FILE__WELCOME_FILE|g
s|MetaWelcomeFile\.SF_FILELIST|WebapplicationPackage.WELCOME_FILE__FILE_LIST|g
s|MetaWebResourceCollection\.SF_WEBRESOURCENAME|WebapplicationPackage.WEB_RESOURCE_COLLECTION__WEB_RESOURCE_NAME|g
s|MetaWebResourceCollection\.SF_URLS|WebapplicationPackage.WEB_RESOURCE_COLLECTION__UR_LS|g
s|MetaWebResourceCollection\.SF_SECCONSTRAINT|WebapplicationPackage.WEB_RESOURCE_COLLECTION__SEC_CONSTRAINT|g
s|MetaWebResourceCollection\.SF_HTTPS|WebapplicationPackage.WEB_RESOURCE_COLLECTION__HTT_PS|g
s|MetaWebResourceCollection\.SF_DESCRIPTION|WebapplicationPackage.WEB_RESOURCE_COLLECTION__DESCRIPTION|g
s|MetaWebApp\.SF_TAGLIBS|WebapplicationPackage.WEB_APP__TAG_LIBS|g
s|MetaWebApp\.SF_SMALLICON|WebapplicationPackage.WEB_APP__SMALL_ICON|g
s|MetaWebApp\.SF_SESSIONCONFIG|WebapplicationPackage.WEB_APP__SESSION_CONFIG|g
s|MetaWebApp\.SF_SERVLETS|WebapplicationPackage.WEB_APP__SERVLETS|g
s|MetaWebApp\.SF_SERVLETMAPPINGS|WebapplicationPackage.WEB_APP__SERVLET_MAPPINGS|g
s|MetaWebApp\.SF_SECURITYROLES|WebapplicationPackage.WEB_APP__SECURITY_ROLES|g
s|MetaWebApp\.SF_RESOURCEREFS|WebapplicationPackage.WEB_APP__RESOURCE_REFS|g
s|MetaWebApp\.SF_RESOURCEENVREFS|WebapplicationPackage.WEB_APP__RESOURCE_ENV_REFS|g
s|MetaWebApp\.SF_MIMEMAPPINGS|WebapplicationPackage.WEB_APP__MIME_MAPPINGS|g
s|MetaWebApp\.SF_LOGINCONFIG|WebapplicationPackage.WEB_APP__LOGIN_CONFIG|g
s|MetaWebApp\.SF_LISTENERS|WebapplicationPackage.WEB_APP__LISTENERS|g
s|MetaWebApp\.SF_LARGEICON|WebapplicationPackage.WEB_APP__LARGE_ICON|g
s|MetaWebApp\.SF_FILTERS|WebapplicationPackage.WEB_APP__FILTERS|g
s|MetaWebApp\.SF_FILTERMAPPINGS|WebapplicationPackage.WEB_APP__FILTER_MAPPINGS|g
s|MetaWebApp\.SF_FILELIST|WebapplicationPackage.WEB_APP__FILE_LIST|g
s|MetaWebApp\.SF_ERRORPAGES|WebapplicationPackage.WEB_APP__ERROR_PAGES|g
s|MetaWebApp\.SF_ENVENTRIES|WebapplicationPackage.WEB_APP__ENV_ENTRIES|g
s|MetaWebApp\.SF_EJBREFS|WebapplicationPackage.WEB_APP__EJB_REFS|g
s|MetaWebApp\.SF_EJBLOCALREFS|WebapplicationPackage.WEB_APP__EJB_LOCAL_REFS|g
s|MetaWebApp\.SF_DISTRIBUTABLE|WebapplicationPackage.WEB_APP__DISTRIBUTABLE|g
s|MetaWebApp\.SF_DISPLAYNAME|WebapplicationPackage.WEB_APP__DISPLAY_NAME|g
s|MetaWebApp\.SF_DESCRIPTION|WebapplicationPackage.WEB_APP__DESCRIPTION|g
s|MetaWebApp\.SF_CONTEXTS|WebapplicationPackage.WEB_APP__CONTEXTS|g
s|MetaWebApp\.SF_CONSTRAINTS|WebapplicationPackage.WEB_APP__CONSTRAINTS|g
s|MetaUserDataConstraint\.SF_TRANSPORTGUARANTEE|WebapplicationPackage.USER_DATA_CONSTRAINT__TRANSPORT_GUARANTEE|g
s|MetaUserDataConstraint\.SF_SECCONSTRAINT|WebapplicationPackage.USER_DATA_CONSTRAINT__SEC_CONSTRAINT|g
s|MetaUserDataConstraint\.SF_DESCRIPTION|WebapplicationPackage.USER_DATA_CONSTRAINT__DESCRIPTION|g
s|MetaURLPatternType\.SF_URLPATTERN|WebapplicationPackage.URL_PATTERN_TYPE__URL_PATTERN|g
s|MetaURLPatternType\.SF_RESCOLLECTION|WebapplicationPackage.URL_PATTERN_TYPE__RES_COLLECTION|g
s|MetaTransportGuaranteeType\.NONE|TransportGuaranteeType.NONE|g
s|MetaTransportGuaranteeType\.INTEGRAL|TransportGuaranteeType.INTEGRAL|g
s|MetaTransportGuaranteeType\.CONFIDENTIAL|TransportGuaranteeType.CONFIDENTIAL|g
s|MetaTagLibRef\.SF_WEBAPP|WebapplicationPackage.TAG_LIB_REF__WEB_APP|g
s|MetaTagLibRef\.SF_TAGLIBURI|WebapplicationPackage.TAG_LIB_REF__TAGLIB_URI|g
s|MetaTagLibRef\.SF_TAGLIBLOCATION|WebapplicationPackage.TAG_LIB_REF__TAGLIB_LOCATION|g
s|MetaSessionConfig\.SF_WEBAPP|WebapplicationPackage.SESSION_CONFIG__WEB_APP|g
s|MetaSessionConfig\.SF_SESSIONTIMEOUT|WebapplicationPackage.SESSION_CONFIG__SESSION_TIMEOUT|g
s|MetaServletType\.SF_CLASSNAME|WebapplicationPackage.SERVLET_TYPE__CLASS_NAME|g
s|MetaServletMapping\.SF_WEBAPP|WebapplicationPackage.SERVLET_MAPPING__WEB_APP|g
s|MetaServletMapping\.SF_URLPATTERN|WebapplicationPackage.SERVLET_MAPPING__URL_PATTERN|g
s|MetaServletMapping\.SF_SERVLET|WebapplicationPackage.SERVLET_MAPPING__SERVLET|g
s|MetaServlet\.SF_WEBTYPE|WebapplicationPackage.SERVLET__WEB_TYPE|g
s|MetaServlet\.SF_WEBAPP|WebapplicationPackage.SERVLET__WEB_APP|g
s|MetaServlet\.SF_SMALLICON|WebapplicationPackage.SERVLET__SMALL_ICON|g
s|MetaServlet\.SF_SERVLETNAME|WebapplicationPackage.SERVLET__SERVLET_NAME|g
s|MetaServlet\.SF_SECURITYROLEREFS|WebapplicationPackage.SERVLET__SECURITY_ROLE_REFS|g
s|MetaServlet\.SF_RUNAS|WebapplicationPackage.SERVLET__RUN_AS|g
s|MetaServlet\.SF_PARAMS|WebapplicationPackage.SERVLET__PARAMS|g
s|MetaServlet\.SF_LOADONSTARTUP|WebapplicationPackage.SERVLET__LOAD_ON_STARTUP|g
s|MetaServlet\.SF_LARGEICON|WebapplicationPackage.SERVLET__LARGE_ICON|g
s|MetaServlet\.SF_DISPLAYNAME|WebapplicationPackage.SERVLET__DISPLAY_NAME|g
s|MetaServlet\.SF_DESCRIPTION|WebapplicationPackage.SERVLET__DESCRIPTION|g
s|MetaSecurityConstraint\.SF_WEBRESOURCECOLLECTIONS|WebapplicationPackage.SECURITY_CONSTRAINT__WEB_RESOURCE_COLLECTIONS|g
s|MetaSecurityConstraint\.SF_WEBAPP|WebapplicationPackage.SECURITY_CONSTRAINT__WEB_APP|g
s|MetaSecurityConstraint\.SF_USERDATACONSTRAINT|WebapplicationPackage.SECURITY_CONSTRAINT__USER_DATA_CONSTRAINT|g
s|MetaSecurityConstraint\.SF_AUTHCONSTRAINT|WebapplicationPackage.SECURITY_CONSTRAINT__AUTH_CONSTRAINT|g
s|MetaRoleNameType\.SF_ROLENAME|WebapplicationPackage.ROLE_NAME_TYPE__ROLE_NAME|g
s|MetaMimeMapping\.SF_WEBAPP|WebapplicationPackage.MIME_MAPPING__WEB_APP|g
s|MetaMimeMapping\.SF_MIMETYPE|WebapplicationPackage.MIME_MAPPING__MIME_TYPE|g
s|MetaMimeMapping\.SF_EXTENSION|WebapplicationPackage.MIME_MAPPING__EXTENSION|g
s|MetaLoginConfig\.SF_WEBAPP|WebapplicationPackage.LOGIN_CONFIG__WEB_APP|g
s|MetaLoginConfig\.SF_REALMNAME|WebapplicationPackage.LOGIN_CONFIG__REALM_NAME|g
s|MetaLoginConfig\.SF_FORMLOGINCONFIG|WebapplicationPackage.LOGIN_CONFIG__FORM_LOGIN_CONFIG|g
s|MetaLoginConfig\.SF_AUTHMETHOD|WebapplicationPackage.LOGIN_CONFIG__AUTH_METHOD|g
s|MetaListener\.SF_LISTENERCLASS|WebapplicationPackage.LISTENER__LISTENER_CLASS|g
s|MetaJSPType\.SF_JSPFILE|WebapplicationPackage.JSP_TYPE__JSP_FILE|g
s|MetaInitParam\.SF_SERVLET|WebapplicationPackage.INIT_PARAM__SERVLET|g
s|MetaInitParam\.SF_PARAMVALUE|WebapplicationPackage.INIT_PARAM__PARAM_VALUE|g
s|MetaInitParam\.SF_PARAMNAME|WebapplicationPackage.INIT_PARAM__PARAM_NAME|g
s|MetaInitParam\.SF_DESCRIPTION|WebapplicationPackage.INIT_PARAM__DESCRIPTION|g
s|MetaHTTPMethodType\.SF_RESCOLLECTION|WebapplicationPackage.HTTP_METHOD_TYPE__RES_COLLECTION|g
s|MetaHTTPMethodType\.SF_HTTPMETHOD|WebapplicationPackage.HTTP_METHOD_TYPE__HTTP_METHOD|g
s|MetaFormLoginConfig\.SF_LOGINCONFIG|WebapplicationPackage.FORM_LOGIN_CONFIG__LOGIN_CONFIG|g
s|MetaFormLoginConfig\.SF_FORMLOGINPAGE|WebapplicationPackage.FORM_LOGIN_CONFIG__FORM_LOGIN_PAGE|g
s|MetaFormLoginConfig\.SF_FORMERRORPAGE|WebapplicationPackage.FORM_LOGIN_CONFIG__FORM_ERROR_PAGE|g
s|MetaFilterMapping\.SF_URLPATTERN|WebapplicationPackage.FILTER_MAPPING__URL_PATTERN|g
s|MetaFilterMapping\.SF_SERVLET|WebapplicationPackage.FILTER_MAPPING__SERVLET|g
s|MetaFilterMapping\.SF_FILTER|WebapplicationPackage.FILTER_MAPPING__FILTER|g
s|MetaFilter\.SF_SMALLICON|WebapplicationPackage.FILTER__SMALL_ICON|g
s|MetaFilter\.SF_NAME|WebapplicationPackage.FILTER__NAME|g
s|MetaFilter\.SF_LARGEICON|WebapplicationPackage.FILTER__LARGE_ICON|g
s|MetaFilter\.SF_INITPARAMS|WebapplicationPackage.FILTER__INIT_PARAMS|g
s|MetaFilter\.SF_FILTERCLASS|WebapplicationPackage.FILTER__FILTER_CLASS|g
s|MetaFilter\.SF_DISPLAYNAME|WebapplicationPackage.FILTER__DISPLAY_NAME|g
s|MetaFilter\.SF_DESCRIPTION|WebapplicationPackage.FILTER__DESCRIPTION|g
s|MetaExceptionTypeErrorPage\.SF_WEBAPP|WebapplicationPackage.EXCEPTION_TYPE_ERROR_PAGE__WEB_APP|g
s|MetaExceptionTypeErrorPage\.SF_LOCATION|WebapplicationPackage.EXCEPTION_TYPE_ERROR_PAGE__LOCATION|g
s|MetaExceptionTypeErrorPage\.SF_EXCEPTIONTYPE|WebapplicationPackage.EXCEPTION_TYPE_ERROR_PAGE__EXCEPTION_TYPE|g
s|MetaErrorPage\.SF_WEBAPP|WebapplicationPackage.ERROR_PAGE__WEB_APP|g
s|MetaErrorPage\.SF_LOCATION|WebapplicationPackage.ERROR_PAGE__LOCATION|g
s|MetaErrorCodeErrorPage\.SF_WEBAPP|WebapplicationPackage.ERROR_CODE_ERROR_PAGE__WEB_APP|g
s|MetaErrorCodeErrorPage\.SF_LOCATION|WebapplicationPackage.ERROR_CODE_ERROR_PAGE__LOCATION|g
s|MetaErrorCodeErrorPage\.SF_ERRORCODE|WebapplicationPackage.ERROR_CODE_ERROR_PAGE__ERROR_CODE|g
s|MetaContextParam\.SF_WEBAPP|WebapplicationPackage.CONTEXT_PARAM__WEB_APP|g
s|MetaContextParam\.SF_PARAMVALUE|WebapplicationPackage.CONTEXT_PARAM__PARAM_VALUE|g
s|MetaContextParam\.SF_PARAMNAME|WebapplicationPackage.CONTEXT_PARAM__PARAM_NAME|g
s|MetaContextParam\.SF_DESCRIPTION|WebapplicationPackage.CONTEXT_PARAM__DESCRIPTION|g
s|MetaAuthMethodKind\.UNSPECIFIED|AuthMethodKind.UNSPECIFIED|g
s|MetaAuthMethodKind\.FORM|AuthMethodKind.FORM|g
s|MetaAuthMethodKind\.DIGEST|AuthMethodKind.DIGEST|g
s|MetaAuthMethodKind\.CLIENT_CERT|AuthMethodKind.CLIENT_CERT|g
s|MetaAuthMethodKind\.BASIC|AuthMethodKind.BASIC|g
s|MetaAuthConstraint\.SF_SECCONSTRAINT|WebapplicationPackage.AUTH_CONSTRAINT__SEC_CONSTRAINT|g
s|MetaAuthConstraint\.SF_ROLES|WebapplicationPackage.AUTH_CONSTRAINT__ROLES|g
s|MetaAuthConstraint\.SF_DESCRIPTION|WebapplicationPackage.AUTH_CONSTRAINT__DESCRIPTION|g
/MetaWelcomeFile metaWelcomeFile/!s|MetaWelcomeFile\([^a-zA-Z0-9]\)|EClass\1|g
/MetaWelcomeFileList metaWelcomeFileList/!s|MetaWelcomeFileList\([^a-zA-Z0-9]\)|EClass\1|g
/MetaWebType metaWebType/!s|MetaWebType\([^a-zA-Z0-9]\)|EClass\1|g
/MetaWebResourceCollection metaWebResourceCollection/!s|MetaWebResourceCollection\([^a-zA-Z0-9]\)|EClass\1|g
/MetaWebApp metaWebApp/!s|MetaWebApp\([^a-zA-Z0-9]\)|EClass\1|g
/MetaUserDataConstraint metaUserDataConstraint/!s|MetaUserDataConstraint\([^a-zA-Z0-9]\)|EClass\1|g
/MetaURLPatternType metaURLPatternType/!s|MetaURLPatternType\([^a-zA-Z0-9]\)|EClass\1|g
/MetaTransportGuaranteeType metaTransportGuaranteeType/!s|MetaTransportGuaranteeType\([^a-zA-Z0-9]\)|EEnum\1|g
/MetaTagLibRef metaTagLibRef/!s|MetaTagLibRef\([^a-zA-Z0-9]\)|EClass\1|g
/MetaSessionConfig metaSessionConfig/!s|MetaSessionConfig\([^a-zA-Z0-9]\)|EClass\1|g
/MetaServlet metaServlet/!s|MetaServlet\([^a-zA-Z0-9]\)|EClass\1|g
/MetaServletType metaServletType/!s|MetaServletType\([^a-zA-Z0-9]\)|EClass\1|g
/MetaServletMapping metaServletMapping/!s|MetaServletMapping\([^a-zA-Z0-9]\)|EClass\1|g
/MetaSecurityConstraint metaSecurityConstraint/!s|MetaSecurityConstraint\([^a-zA-Z0-9]\)|EClass\1|g
/MetaRoleNameType metaRoleNameType/!s|MetaRoleNameType\([^a-zA-Z0-9]\)|EClass\1|g
/MetaResAuthServletType metaResAuthServletType/!s|MetaResAuthServletType\([^a-zA-Z0-9]\)|EEnum\1|g
/MetaMimeMapping metaMimeMapping/!s|MetaMimeMapping\([^a-zA-Z0-9]\)|EClass\1|g
/MetaLoginConfig metaLoginConfig/!s|MetaLoginConfig\([^a-zA-Z0-9]\)|EClass\1|g
/MetaListener metaListener/!s|MetaListener\([^a-zA-Z0-9]\)|EClass\1|g
/MetaJSPType metaJSPType/!s|MetaJSPType\([^a-zA-Z0-9]\)|EClass\1|g
/MetaInitParam metaInitParam/!s|MetaInitParam\([^a-zA-Z0-9]\)|EClass\1|g
/MetaHTTPMethodType metaHTTPMethodType/!s|MetaHTTPMethodType\([^a-zA-Z0-9]\)|EClass\1|g
/MetaFormLoginConfig metaFormLoginConfig/!s|MetaFormLoginConfig\([^a-zA-Z0-9]\)|EClass\1|g
/MetaFilter metaFilter/!s|MetaFilter\([^a-zA-Z0-9]\)|EClass\1|g
/MetaFilterMapping metaFilterMapping/!s|MetaFilterMapping\([^a-zA-Z0-9]\)|EClass\1|g
/MetaExceptionTypeErrorPage metaExceptionTypeErrorPage/!s|MetaExceptionTypeErrorPage\([^a-zA-Z0-9]\)|EClass\1|g

